/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "ColorWindow.h"

FD_ColorWindow *create_form_ColorWindow(void)
{
  FL_OBJECT *obj;
  FD_ColorWindow *fdui = (FD_ColorWindow *) fl_calloc(1, sizeof(*fdui));

  fdui->ColorWindow = fl_bgn_form(FL_NO_BOX, 450, 210);
  obj = fl_add_box(FL_DOWN_BOX,0,0,450,210,"");
  fdui->ColorFrame = obj = fl_add_labelframe(FL_ENGRAVED_FRAME,10,10,430,160,"Farbeinstellungen");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->RedSlider = obj = fl_add_slider(FL_HOR_BROWSER_SLIDER,210,30,170,20,"Rot");
    fl_set_object_color(obj,FL_INDIANRED,FL_RED);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_slider_bounds(obj, 0, 255);
    fl_set_slider_value(obj, 0);
    fl_set_slider_size(obj, 0.00);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, 1, 10);
  fdui->GreenSlider = obj = fl_add_slider(FL_HOR_BROWSER_SLIDER,210,50,170,20,"Grn");
    fl_set_object_color(obj,FL_PALEGREEN,FL_GREEN);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_slider_bounds(obj, 0, 255);
    fl_set_slider_value(obj, 0);
    fl_set_slider_size(obj, 0.00);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, 1, 10);
  fdui->BlueSlider = obj = fl_add_slider(FL_HOR_BROWSER_SLIDER,210,70,170,20,"Blau");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_BLUE);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_slider_bounds(obj, 0, 255);
    fl_set_slider_value(obj, 0);
    fl_set_slider_size(obj, 0.00);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, 1, 10);
  fdui->RedInput = obj = fl_add_input(FL_INT_INPUT,390,30,40,20,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
  fdui->GreenInput = obj = fl_add_input(FL_INT_INPUT,390,50,40,20,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
  fdui->BlueInput = obj = fl_add_input(FL_INT_INPUT,390,70,40,20,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
  fdui->ColorPad = obj = fl_add_box(FL_FRAME_BOX,210,130,70,30,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthWest);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->SampleText = obj = fl_add_text(FL_NORMAL_TEXT,290,100,140,60,"Beispieltext:\nThe quick brown\nfox jumps over\nthe lazy dog");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->Save = obj = fl_add_button(FL_NORMAL_BUTTON,10,180,100,20,"Sichern");
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fdui->Undo = obj = fl_add_button(FL_NORMAL_BUTTON,120,180,100,20,"Zurcksetzen");
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fdui->Default = obj = fl_add_button(FL_NORMAL_BUTTON,230,180,100,20,"Voreinstellung");
    fl_set_object_gravity(obj, FL_SouthEast, FL_SouthEast);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,340,180,100,20,"Abbruch");
    fl_set_object_gravity(obj, FL_SouthEast, FL_SouthEast);
  fdui->ColorSelector = obj = fl_add_browser(FL_HOLD_BROWSER,20,30,160,130,"Farben");
    fl_set_object_color(obj,FL_MCOL,FL_COL1);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthWest);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_add_browser_line(obj, "Hintergrundfarbe");
    fl_add_browser_line(obj, "Textfarbe");
    fl_add_browser_line(obj, "Servermeldungen");
    fl_add_browser_line(obj, "Queries");
    fl_add_browser_line(obj, "Hervorhebungen");
    fl_add_browser_line(obj, "CTCP-Anforderungen");
    fl_add_browser_line(obj, "DCC-Nachrichten");
    fl_add_browser_line(obj, "Programmeldungen");
    fl_add_browser_line(obj, "/ME Aktionen");
  fdui->HexCode = obj = fl_add_text(FL_NORMAL_TEXT,210,100,70,20,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->ColorWindow->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

