/* FoxIRC.h
   Ein Teil von FoxIRC (C)by Dario Abatianni (eisfuchs@tigress.com)
  
   Die Funktionsdeklarationen */

#include "DCC.h"
#include "Preferences.h"

#include "../Forms/ChannelList.h"
#include "../Forms/DCCGetStatus.h"
#include "../Forms/ChannelList.h"
#include "../Forms/Notify.h"
#include "../Forms/Buttons.h"
#include "../Forms/IsOn.h"
#include "../Forms/Notify.h"
#include "../Forms/NickChange.h"
#include "../Forms/General.h"

extern char alpha[];
extern char *morse[];

void info(unsigned char *,struct channel *);
void displayirc(unsigned char *,struct channel *);
void sortbrowser(FL_OBJECT *);
void addevent(int,char *,char *,char *,char *,char *);
void freeevents();
void freeurls();
void line2browser(char *,FL_OBJECT *);
void browser2line(char *,FL_OBJECT *);
void selection2line(char *,FL_OBJECT *,char *);
void opnick(struct channel *,char *,char);
int nickcmp(char *,char *);
void replacenick(struct server *,char *,char *);
void clearnicklist(struct channel *);
void addquerynick(char *);
void setchannelmode(FD_MainWindow *,char,int);
void setchannellimit(FD_MainWindow *,char *);
void clearchannelmodes(FD_MainWindow *);
void resetwindow(struct channel *);
void updatenicknum(struct channel *);
void addnick(struct channel *,char *);
int removenick(struct channel *,char *);
void quitnick(struct server *,char *,char *);
void setnick(struct server *,char *);
FD_IsOnWindow *openison();
struct node *isquery(struct server *,char *);
FD_ChannelListWindow *openchannellist();
FD_DCCGetStatus *opendccget(void);
void dccgetadd(char *,char *,char *,unsigned long,long,long);
int connectdcc(struct dccdata *);
FD_DCCGetStatus *dccgetcontrol(FD_DCCGetStatus *,FL_OBJECT *);
void handledcc(FL_OBJECT *);
struct channel *removechannel(struct server *,struct channel *);
void removeallchannels(struct server *);
struct channel *addchannel(struct server *,char *);
struct channel *getchannelbyname(struct server *,char *);
struct channel *getchannelbywindow(struct server *,FD_MainWindow *);
int inputfilter(FL_OBJECT *, int,FL_Coord,FL_Coord,int,void *);
void setwindowdefaults(FD_MainWindow *);
void incoming(struct server *);
void freeprefs(struct preferences *);
struct servernode *getservernodebynum(struct preferences *,int);
int openconnection(char *,int);
void parseaction(struct channel *,char *,char *,char *);
void controlbuttons(struct channel *,FL_OBJECT *);
FD_NotifyWindow *opennotify(void);
FD_Buttons *butprefscontrol(FD_Buttons *,FL_OBJECT *);
FD_IsOnWindow *isoncontrol(FD_IsOnWindow *,FL_OBJECT *);
FD_NotifyWindow *notifycontrol(FD_NotifyWindow *,FL_OBJECT *);
FD_NickchangeWindow *nickchangecontrol(FD_NickchangeWindow *,FL_OBJECT *);
FD_General *generalcontrol(FD_General *,FL_OBJECT *);
