/* Utils.h
   Ein Teil von FoxIRC (C)by Dario Abatianni (eisfuchs@tigress.com)

   Die Deklarationen der Hilfsfunktionen */

#ifndef UTILS_H
#define UTILS_H

#include <forms.h>

#include "Preferences.h"

#define CASE_IGNORE    0
#define CASE_SENSITIVE 1

struct nextprev               // Wird von swapnodes() gebraucht
{
  void *next;
  void *prev;
};

void deactivate(FL_OBJECT *);
void activate(FL_OBJECT *);
void lowerstr(char *);
int geometryevent(FL_FORM *,void *);
int lineexists(FL_OBJECT *,const char *,int);
int sort2(const void *,const void *);
void catch(char *);
unsigned long intel(unsigned long);
void swapnodes(void *,void *,int);
int getcookie(char *);
void resetautoawaytimer(struct preferences *);

#endif
