/* FoxIRC (C)by Dario Abatianni (eisfuchs@tigress.com)
   Start: Monday, 17/May/1999 - 20:13 -- The Day I Learned C ;))

   Natrlich bin ich auch dieses Mal zu faul, das Programm zu kommentieren, also
   viel Spa beim analysieren :)

   (Hey, nicht schlecht fr mein erstes echtes C-Programm, oder? [eis])

   Dieses Programm ist Freeware. Es darf frei kopiert und verbreitet werden,
   solange kein finanzieller Gewinn aus der Verbreitung gezogen wird. Der Source-
   Code ist fr Lernzwecke frei verfgbar, darf aber nicht verndert weitergegeben
   werden. Modifikationen fr den privaten Gebrauch sind allerdings zugelassen.

   Kompilieren des Programmes einfach ber "cd sources", "make". */

#include "Include/Constants.h"

#define MARK(x)       printf("Mark %d\n",x);    /* Debugging */

#include <string.h>
#include <signal.h>
#include <forms.h>
#include <stdlib.h>
#include <errno.h>
#include <fcntl.h>
#include <pwd.h>
#include <sys/stat.h>
#include <sys/soundcard.h>
#include <sys/time.h>
#include <sys/wait.h>
#include <poll.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/nameser.h>
#include <resolv.h>
#include <X11/Xlib.h>

#ifndef SHUT_RDWR
#define SHUT_RDWR 2         /* Ist bei einem Tester nicht in den includes definiert gewesen */
#endif

#include "Forms/NickChange.c"
#include "Forms/Password.c"
#include "Forms/Notify.c"
#include "Forms/IsOn.c"
#include "Forms/URLCatcher.c"
#include "Forms/MainWindow.c"
#include "Forms/ServerList.c"
#include "Forms/Actions.c"
#include "Forms/Aliases.c"
#include "Forms/ColorWindow.c"
#include "Forms/Buttons.c"
#include "Forms/General.c"
#include "Forms/DCCGetStatus.c"
#include "Forms/DCCSendQuestion.c"
#include "Forms/DCCRecipient.c"
#include "Forms/Query.c"
#include "Forms/About.c"
#include "Forms/Update.c"
#include "Forms/IgnoreList.c"
#include "Forms/EventPrefs.c"
#include "Forms/Hilight.c"
#include "Forms/ChannelList.c"
#include "Forms/TopicList.c"
#include "Forms/SystemError.c"
#include "Forms/BanList.c"

#include "Include/ParseIn.h"
#include "Include/Transmit.h"
#include "Include/Channel.h"
#include "Include/Query.h"
#include "Include/Nick.h"
#include "Include/ColPrefs.h"
#include "Include/Alias.h"
#include "Include/Events.h"
#include "Include/Lists.h"
#include "Include/ErrorLog.h"
#include "Include/Morse.h"
#include "Include/Utils.h"
#include "Include/FileSelector.h"
#include "Include/NickChange.h"
#include "Include/Ignore.h"
#include "Include/Ban.h"
#include "Include/Topic.h"
#include "Include/Boom.h"
#include "Include/Scripts.h"

#include "images/FoxIRC_small.xpm"
#include "images/FoxIRC_small_mask.xpm"

char inbuffer[LINELEN],dccgetconn[MAXDCC],dns[LINELEN],
     *version="FoxIRC (Linux) 0.43alpha (C)09-Feb-2002 by Dario Abatianni",
     prebut[8][LINELEN]={"/OP %s +o %%u%n",
                         "/DEOP %s -o %%u%n",
                         "/WHOIS %s,%%u%n",
                         "/CTCP %s,%%u VERSION%n",
                         "/KICK %c %s,%%u%n",
                         "/MODE %c +b %s +b %%u%n",
                         "/CTCP %s,%%u PING%n",
                         "/ME klatscht %s und %%u ein 50 Pfund Unix-Handbuch um die Ohren.%n"},
     prenam[8][BUTLEN]={"Op",
                        "DeOp",
                        "WhoIs",
                        "Version",
                        "Kick",
                        "Ban",
                        "Ping",
                        "Bestrafen"};

long soundpid;
int inpointer,maxhistory,maxnickhist,nickwasopen,eventwasopen,exitprog,
    firstopengeneral,firstopenserver,firstopenaction,firstopenalias,doconnect,dccid;

Pixmap iconid,maskid;

struct dccdata *dcclist;
struct dccdisplay dccdisplay[MAXDCC];
struct servernode *chosenserver;
struct server *server;
struct channel *activechannel;
struct list *urllist;
struct list *eventlist;
struct preferences prefs;
struct filerequester dccrequester;
struct timezone tz;

FD_MainWindow *mainform;
FD_NotifyWindow *notifywindow;
FD_HilightWindow *hilightwindow;
FD_IsOnWindow *isonwindow;
FD_UrlCatcher *urlwindow;
FD_ColorWindow *colorwindow;
FD_ServerWindow *serverwindow;
FD_ChannelListWindow *channellistwindow;
FD_ActionWindow *actionwindow;
FD_AliasWindow *aliaswindow;
FD_AboutWindow *aboutwindow;
FD_IgnoreWindow *ignorewindow;
FD_EventPrefsWindow *eventprefswindow;
FD_Buttons *buttonswindow;
FD_General *generalwindow;
FD_NickchangeWindow *nickchangewindow;
FD_DCCGetStatus *dccgetwindow;
FD_DCCSend *dccsendwindow;
FD_RecipientWindow *recipientwindow;
FD_ErrorLog *errorlogwindow;

#include "Include/FoxIRC.h"
#include "Include/Preferences.h"

void intro()
{
  char outstring[LINELEN];

  fl_clear_browser(mainform->ChannelText);
  info("\\-",0);
  sprintf(outstring,"\\C%dStart\tWillkommen zu FoxIRC, dem freundlichen Linux-IRC-Client.",COL_PRG);
  info(outstring,0);
  sprintf(outstring,"\\C%dStart\tffne das Men 'FoxIRC' um die Verbindung zum Server '%s' zu starten.",COL_PRG,getservernodebynum(&prefs,prefs.chosenservernum)->name);
  info(outstring,0);
  info("\\-",0);
}

struct node *remevent(struct node *eventnode)
{
  struct node *returnnode;
  struct event *event;

  returnnode=0;

  if(eventnode==0) logerror(errorlogwindow,"remevent(): eventnode==0!");
  else
  {
    event=eventnode->data;
    returnnode=unlinknode(eventnode);

    free(event->name);
    free(event->parameter);
    free(event->text);
    free(event->script);
    free(event->sound);

    freenode(eventnode);
  }
  return returnnode;
}

void addurl(char *name,int len)
{
  struct node *newurlnode;

  if(urllist==0) urllist=newlist();

  if(urllist==0) logerror(errorlogwindow,"addurl(): urllist==0!");
  else
  {
    newurlnode=addnewnodetolist(urllist,len+1);   // Ende mit \0 bercksichtigen!
    if(newurlnode==0) logerror(errorlogwindow,"addurl(): newurlnode==0!");
    else
    {
      strncpy(newurlnode->data,name,len);
      if(urlwindow!=0) fl_addto_browser(urlwindow->UrlList,newurlnode->data);
    }
  }
}

void addevent(int type,char *name,char *parameter,char *text,char *script,char *sound)
{
  if(eventlist==0) eventlist=newlist();

  if(eventlist==0) logerror(errorlogwindow,"addevent(): eventlist==0!");
  else
  {
    struct node *neweventnode;

    neweventnode=addnewnodetolist(eventlist,sizeof (struct event));
    if(neweventnode==0) logerror(errorlogwindow,"addevent(): neweventnode==0!");
    else
    {
      struct event *newevent;
      char *new;

      newevent=neweventnode->data;
      newevent->type=type;

      new=malloc(strlen(name)+1);
      if(new) strcpy(new,name); else logerror(errorlogwindow,"addevent(): malloc() for 'name' failed!");
      newevent->name=new;

      new=malloc(strlen(parameter)+1);
      if(new) strcpy(new,parameter); else logerror(errorlogwindow,"addevent(): malloc() for 'parameter' failed!");
      newevent->parameter=new;

      new=malloc(strlen(text)+1);
      if(new) strcpy(new,text); else logerror(errorlogwindow,"addevent(): malloc() for 'text' failed!");
      newevent->text=new;

      new=malloc(strlen(script)+1);
      if(new) strcpy(new,script); else logerror(errorlogwindow,"addevent(): malloc() for 'script' failed!");
      newevent->script=new;

      new=malloc(strlen(sound)+1);
      if(new) strcpy(new,sound); else logerror(errorlogwindow,"addevent(): malloc() for 'sound' failed!");
      newevent->sound=new;
    }
  }
}

void freeevents()
{
  if(eventlist)
  {
    if(eventlist->head) while(remevent(eventlist->head)!=0);
  }
}

void freeurls()
{
  freelist(urllist);
  urllist=0;
}

void updatecatcher()
{

  fl_clear_browser(urlwindow->UrlList);

  if(urllist)
  {
    struct node *lookurl;

    lookurl=urllist->head;
    while(lookurl!=0)
    {
      fl_addto_browser(urlwindow->UrlList,lookurl->data);
      lookurl=lookurl->next;
    }
  }
}

void addwrappedline(unsigned char *addline,FL_OBJECT *browser)
{
  int firstline,pos,tab,style;
  unsigned long tabpos;
  char color[10],prefix[20];
  FL_COORD w;
  FL_OBJECT *scrollbar;

  firstline=1;
  pos=0;

  tab=fl_get_string_width(FL_NORMAL_STYLE,prefs.channelsize,"XXXXXXXXX:",10);
  scrollbar=fl_get_object_component(browser,FL_SCROLLBAR,FL_VERT_PLAIN_SCROLLBAR,0);
  w=browser->w-(scrollbar->w)-15;

  color[0]=0;

  if(strncmp(addline,"\\C",2)==0)
  {
    pos=2;
    color[0]='\\';
    color[1]='C';
    while(addline[pos]>='0' && addline[pos]<='9') color[pos]=addline[pos++];
    color[pos]=0;
  }

  prefix[0]=0;
  tabpos=(unsigned long) strstr(addline,"\t");
  if(tabpos)
  {
    tabpos=tabpos-(unsigned long) addline;
    pos=tabpos+1;
    strncpy(prefix,addline,tabpos);
    prefix[tabpos]=0;
  }

  style=(strstr(addline,"\\f")) ? FL_FIXED_STYLE : FL_NORMAL_STYLE;

  while(addline[pos])
  {
    char insertline[LINELEN];
    int len,lencopy;

    len=strlen(addline+pos);

    if(strncmp(addline,"\\-",2))
    {
      lencopy=len;    // Position merken, um festzustellen, ob Wrap erfolgt ist.
                      // Und jetzt nicht erschrecken! :)
      while(fl_get_string_width(style,prefs.channelsize,addline+pos,len)>(w-((firstline) ? ((tabpos) ? tab : 0) : tab))) len--;

      if(len!=lencopy)  // Wrap notwendig?
      {
        lencopy=len;    // Position merken, falls kein Space in der Zeile ist.

        while(len && (addline+pos)[len]!=' ') len--;
        if(len==0) len=lencopy;
      }

      if(firstline)
      {
        if(tabpos)                       // Tabulator, dann gesamten Prefix kopieren
        {
          strcpy(insertline,prefix);
        }
        else strcpy(insertline,color);   // Sonst nur die Farbe kopieren
      }
      else strcpy(insertline,color);

      strcat(insertline,"\t");
      strncat(insertline,addline+pos,len);
    }
    else strcpy(insertline,addline);

    // Browser mitscrollen oder nicht?
    if(fl_get_browser_maxline(browser)==(fl_get_browser_topline(browser)+fl_get_browser_screenlines(browser)-1))
      fl_addto_browser(browser,insertline);
    else
      fl_add_browser_line(browser,insertline);

    firstline=0;
    tabpos=0;
    pos+=len;

    if(addline[pos]==' ') pos++;  // folgendes Leerzeichen nach einem Wrap unterdrcken.
  } // endwhile
}

void info(unsigned char *string,struct channel *channel)
{
  int count,outcount;
  char displayline[LINELEN];
  FL_OBJECT *where;

  if(channel==0) where=mainform->ChannelText;
  else where=channel->channeltext;

  count=outcount=0;
  while(count!=strlen(string))
  {
    unsigned char character;
    character=string[count];
    if(character>31 || character==9) displayline[outcount++]=character;   /* Stylefilter */
    else
    {
      displayline[outcount]=0;

      if(character==2)        strcat(displayline,"**");  /* Fettschrift */
      else if(character==9)   strcat(displayline,"//");  /* Schrggestellt (Tab??) */
      else if(character==19)  strcat(displayline,"--");  /* Durchgestrichen */
      else if(character==21)  strcat(displayline,"__");  /* Unterstrichen */
      else if(character==31)  strcat(displayline,"__");  /* Auch unterstrichen? */
      else if(character==22)  strcat(displayline,"##");  /* Inversschrift */
      else if(character==3)    /* mIRC Farbcode */
      {
        char colstring[30],*colnames[16]={"wei","schwarz","dunkelblau","grn","rot","braun","violett","orange",
                                          "gelb","hellgrn","blaugrn","trkis","blau","rosa","grau","hellgrau"};
        int fgval,bgval;

        /* Default: Keine genaue Farbe spezifiziert */
        fgval=-1;
        bgval=-1;

        strcat(displayline,"<COL");

        /* Vordergrundfarbe? */
        character=string[++count];
        if(character>='0' && character<='9')
        {
          /* Wert merken */
          fgval=character-'0';
          /* Zweistellig? */
          character=string[++count];
          if(character>='0' && character<='9')
          {
            /* und noch im gltigen Bereich 10-15? */
            if(fgval<2 && character<'6')
            {
              /* Dann dazurechnen */
              fgval=fgval*10+character-'0';
              /* und nchstes Zeichen holen */
              character=string[++count];
            }
          }
        }
        /* Hintergrundfarbe? */
        if(character==',')
        {
          character=string[++count];
          if(character>='0' && character<='9')
          {
            bgval=character-'0';
            /* Zweistellig? */
            character=string[++count];
            if(character>='0' && character<='9')
            {
              if(bgval<2 && character<'6')
              {
                /* Dann dazurechnen */
                bgval=bgval*10+character-'0';
                /* und nchstes Zeichen holen, obwohl das nachher wieder zurckgesetzt wird */
                character=string[++count];
              }
            }
          }
        }

        colstring[0]=0;
        /* Beide Farbcodes angegeben? */
        if(fgval!=-1 && bgval!=-1) sprintf(colstring," %s,%s",colnames[fgval],colnames[bgval]);
        /* Vordergrundfarbe angegeben? */
        else if(fgval!=-1) sprintf(colstring," %s",colnames[fgval]);
        /* Oder nur der Hintergrund? Ist aber eigentlich ungltig */
        else if(bgval!=-1) sprintf(colstring,",%s",colnames[bgval]);

        strcat(displayline,colstring);
        strcat(displayline,">");

        count--;
      }
      outcount=strlen(displayline);
    }
    count++;
  } // endwhile
  displayline[outcount]=0;

  addwrappedline(displayline,where);
}

void displayirc(unsigned char *string,struct channel *channel)
{
  info(string,channel);
  catch(string);

  if((channel==0) ? prefs.log : fl_get_button(channel->window->Log))
  {
    FILE *logfile;
    char logline[LINELEN],logname[40];

    if(channel==0) strcpy(logname,"FoxIRC.log");
    else
    {
      char tempname[40];

      strcpy(tempname,channel->name);
      if(prefs.smalllog==1) lowerstr(tempname);
      sprintf(logname,"FoxIRC_%s.log",tempname);
    }

    if((logfile=fopen(logname,"a"))!=0)
    {
      if(channel!=0)
      {
        if(channel->logstart==1)
        {
          fputs("\n*** Aufzeichnung gestartet:\n",logfile);
          sprintf(logline,"*** %s\n\n",fl_now());         //  fl_now() = char * "Wed Jun 30 21:49:08 1993"
          fputs(logline,logfile);
          channel->logstart=0;
        }
      }

      if(prefs.logtimestamp)
      {
        char day[4],month[4],daynum[3],time[9],year[5],stamp[12];

        sscanf(fl_now(),"%s %s %s %s %s",&day,&month,&daynum,&time,&year);
        sprintf(stamp,"[%s] ",time);
        fputs(stamp,logfile);
      }

      if(string[0]=='\\') strcpy(logline,string+5);
      else strcpy(logline,string);   // Simpler Filter fr die Zeilenfarben

      if(logline[strlen(logline)-1]==1) logline[strlen(logline)-1]=0; // Letztes <1>-Byte einer ACTION entfernen

      strcat(logline,"\n");
      fputs(logline,logfile);
      fclose(logfile);
    }
    else printf("Konnte Logfile '%s' nicht beschreiben.\n",logname);
  }
}

void displayquery(struct query *query,unsigned char *string,char *hostmask)
{
  char logline[LINELEN];

  catch(string);                                 // URL Catcher

  addwrappedline(string,query->querytext);
  if(hostmask!=0 && strcmp(hostmask,query->server->ircname)!=0)
  {
    sprintf(logline,"%s (%s)",query->name,hostmask);
    fl_set_object_label(query->window->Hostmask,logline);
  }

  if(fl_get_button(query->window->Log))
  {
    FILE *logfile;
    char logname[40],tempname[40];

    strcpy(tempname,query->logname);
    if(prefs.smalllog==1) lowerstr(tempname);

    sprintf(logname,"FoxIRC_%s.log",tempname);

    if((logfile=fopen(logname,"a"))!=0)
    {
      if(query->logstart==1)
      {
        fputs("\n*** Aufzeichnung gestartet:\n",logfile);
        sprintf(logline,"*** %s\n\n",fl_now());
        fputs(logline,logfile);
        query->logstart=0;
      }

      if(string[0]=='\\') strcpy(logline,string+5); else strcpy(logline,string);   // Simpler Filter fr die Zeilenfarben
      if(logline[strlen(logline)-1]==1) logline[strlen(logline)-1]=0; // Reste einer ACTION entfernen

      if(prefs.logtimestamp)
      {
        char day[4],month[4],daynum[3],time[9],year[5],stamp[12];

        sscanf(fl_now(),"%s %s %s %s %s",&day,&month,&daynum,&time,&year);
        sprintf(stamp,"[%s] ",time);
        fputs(stamp,logfile);
      }

      strcat(logline,"\n");
      fputs(logline,logfile);
      fclose(logfile);
    }
    else printf("Konnte Logfile '%s' nicht beschreiben.\n",logname);
  }
}

void line2browser(char *line,FL_OBJECT *browser)
{
  int count;

  count=0;

  while(line[count]!=0)
  {
    int nickcount;
    char nick[NICKLEN];

    nickcount=0;
    while(line[count]!=0 && line[count]!=' ') nick[nickcount++]=line[count++];
    nick[nickcount]=0;
    fl_add_browser_line(browser,nick);
    if(line[count]!=0) count++;
  } // endwhile
}

void browser2line(char *line,FL_OBJECT *browser)
{
  int count,maxnick;

  maxnick=fl_get_browser_maxline(browser);
  line[0]=0;
  for(count=1;count<=maxnick;count++)
  {
    strcat(line,fl_get_browser_line(browser,count));
    strcat(line," ");
  } // endfor
  if(strlen(line)!=0) line[strlen(line)-1]=0;
}

void selection2line(char *line,FL_OBJECT *browser,char *separator)
{
  int maxnick;

  line[0]=0;

  maxnick=fl_get_browser_maxline(browser);

  if(maxnick!=0)
  {
    int count;

    for(count=1;count<=maxnick;count++)
    {
      if(fl_isselected_browser_line(browser,count))
      {
        char nick[NICKLEN];

        strcpy(nick,fl_get_browser_line(browser,count));
        strcat(line,(nick[0]=='@' || nick[0]=='+') ? nick+1 : nick);
        strcat(line,separator);
      }
    } // endfor

    if(strlen(line)>=strlen(separator)) line[strlen(line)-strlen(separator)]=0;
  }
}

void displaychannelframe(struct channel *channel,int k)
{
  char *password;
  int len;

  password="Kennwortgeschtzt";

  len=strlen(channel->name);
  if(k)
  {
    len+=strlen(password)+3;    /* "<space>(Kennwortgeschtzt)" */ 
  }
  len++;    /* Abschlieendes \0 */

  if(len)
  {
    char *caption;

    caption=malloc(len);
    if(caption==0) logerror(errorlogwindow,"displaychannelframe(): caption==0!\n");
    else
    {
      if(k) sprintf(caption,"%s (%s)",channel->name,password);
      else strcpy(caption,channel->name);

      fl_set_object_label(channel->window->ChannelFrame,"                                                   ");
      fl_set_object_label(channel->window->ChannelFrame,caption);

      free(caption);
    }
  }
}

void sortbrowser(FL_OBJECT *browser)
{
  int count,max,len;
  char *nickmem;

  max=fl_get_browser_maxline(browser);
  len=max*(LINELEN+2);                 /* LINELEN, weil ich auch lngere Listen sortieren will (FIXME) */

  nickmem=calloc(len,1);

  /* nach dem Sortieren stimmen die Selektierungen nicht mehr! [FIXME] */

  if(nickmem==0) logerror(errorlogwindow,"sortbrowser: malloc() failed!");
  else
  {
    for(count=0;count!=max;count++) strcpy(count*(LINELEN+2)+nickmem,fl_get_browser_line(browser,count+1));

    /* sort2, denn direktes "strcasecmp" wrde eine Warning erzeugen */
    qsort(nickmem,max,LINELEN+2,sort2);

    for(count=0;count!=max;count++) fl_replace_browser_line(browser,count+1,count*(LINELEN+2)+nickmem);
    free(nickmem);
    fl_deselect_browser(browser);   /* Zur Sicherheit, damit nicht eine falsche Zeile selektiert bleibt [FIXME] */
  }
}

void sortnicks(struct list *list,FL_OBJECT *browser)
{
  char nickname[NICKLEN];
  char modified[NICKLEN];
  int count,max;
  struct node *node;
  struct nick *nick;

  max=fl_get_browser_maxline(browser);

  for(count=1;count<=max;count++)  // Selektierte Nicks in der Liste markieren
  {
    strcpy(nickname,fl_get_browser_line(browser,count));
    if(nickname[0]=='@' || nickname[0]=='+') strcpy(modified,nickname+1);
    else strcpy(modified,nickname);

    node=getnicknode(list,modified);
    if(node==0) logerror(errorlogwindow,"sortnicks(): node{1}==0!");
    else
    {
      nick=node->data;
      nick->selected=(fl_isselected_browser_line(browser,count)) ? 1 : 0;
    }
  } // endfor

  sortbrowser(browser);

  for(count=1;count<=max;count++)  // Selektion aus der Liste wiederherstellen
  {
    strcpy(nickname,fl_get_browser_line(browser,count));
    if(nickname[0]=='@' || nickname[0]=='+') strcpy(modified,nickname+1);
    else strcpy(modified,nickname);

    node=getnicknode(list,modified);
    if(node==0) logerror(errorlogwindow,"sortnicks(): node{2}==0!");
    else
    {
      nick=node->data;
      if(nick->selected) fl_select_browser_line(browser,count);
    }
  } // endfor
}

void updatenickview(struct channel *channel,struct nick *nick)
{
  int numofnicks,count;
  char modified[NICKLEN];

  if(channel==0) fl_set_object_label(mainform->Nickname,server->currentnick);
  else
  {
    if(strcasecmp(nick->nick,server->currentnick)==0)
    {
      if(nick->op==1) sprintf(modified," @%s ",nick->nick); // Workaround: Das @ darf nicht das erste Zeichen sein
      else if(nick->voice==1) sprintf(modified," +%s ",nick->nick);
      else strcpy(modified,nick->nick);

      channel->isop=nick->op;
      fl_set_object_label(channel->window->Nickname,modified);    // Na, noch beim analysieren? ;))
    }

    if(nick->op==1) sprintf(modified,"@%s",nick->nick);
    else if(nick->voice==1) sprintf(modified,"+%s",nick->nick);
    else strcpy(modified,nick->nick);

    numofnicks=listlen(channel->nicknamelist);
    count=1;

    while(count<=numofnicks)
    {
      if(strcasecmp(nick->nick,fl_get_browser_line(channel->window->NickList,count))==0 || strcasecmp(nick->nick,fl_get_browser_line(channel->window->NickList,count)+1)==0)
      {
        fl_replace_browser_line(channel->window->NickList,count,modified);
      }
      count++;
    } // endwhile

    updatenicknum(channel);
  }
}

void voicenick(struct channel *channel,char *looknick,char on)
{
  struct node *node;
  struct nick *nick;

  if(channel)
  {
    node=getnicknode(channel->nicknamelist,looknick);
    nick=node->data;
    nick->voice=(on) ? 1 : 0;
  }

  updatenickview(channel,nick);
}

void opnick(struct channel *channel,char *looknick,char on)
{
  struct node *node;
  struct nick *nick;

  nick=0;

  if(channel)
  {
    node=getnicknode(channel->nicknamelist,looknick);
    if(node==0) logerror(errorlogwindow,"opnick(): node==0!");
    else
    {
      nick=node->data;
      nick->op=(on) ? 1 : 0;
    }
  }

  updatenickview(channel,nick);
}

int nickcmp(char *string1,char *string2)
{
  int ret=1;

  if(strcasecmp(string1,string2)==0) ret=0;
  else
  {
    if(string1[0]=='@' || string1[0]=='+')
    {
      if(strcasecmp(string1+1,string2)==0) ret=0;
    }
    else
    {
      if(string2[0]=='@' || string2[0]=='+')
      {
        if(strcasecmp(string1,string2+1)==0) ret=0;
      }
    }
  }

  return ret;
}

void changequerynick(struct server *server,char *oldnick,char *newnick)
{
  struct node *querynode;
  struct query *query;

  querynode=isquery(server,oldnick);
  if(querynode)
  {
    query=querynode->data;
    fl_set_form_title(query->window->QueryWindow,newnick);
    strcpy(query->name,newnick);
  }
}

void updatenickdata(struct channel *channel,char *oldnick,char *newnick)
{
  struct node *node;
  struct nick *nick;

  node=getnicknode(channel->nicknamelist,oldnick);
  if(node==0) logerror(errorlogwindow,"updatenickdata(): node==0!");
  else
  {
    nick=node->data;
    free(nick->nick);
    nick->nick=calloc(1,strlen(newnick)+1);
    if(nick->nick==0) logerror(errorlogwindow,"updatenickdata(): nick->nick==0!");
    else
    {
      strcpy(nick->nick,newnick);
    }
  }
}

void replacenick(struct server *server,char *oldnick,char *newnick)
{
  int numofnicks,count;
  char checknick[NICKLEN+1],outbuffer[LINELEN];
  struct channel *lookchannel;

  lookchannel=server->channel;
  if(lookchannel==0)
  {
    logerror(errorlogwindow,"replacenick(): lookchannel==0!");
    return;
  }

  while(lookchannel!=0)
  {
    numofnicks=fl_get_browser_maxline(lookchannel->window->NickList);
    count=1;
    while(count<=numofnicks)
    {
      strcpy(checknick,fl_get_browser_line(lookchannel->window->NickList,count));
      if(nickcmp(oldnick,checknick)==0)
      {
        if(checknick[0]=='@' || checknick[0]=='+') strcpy(checknick+1,newnick);
        else strcpy(checknick,newnick);
        
        fl_replace_browser_line(lookchannel->window->NickList,count,checknick);
        changequerynick(server,oldnick,newnick);

        sprintf(outbuffer,"\\C%dNick\t%s nennt sich nun %s.",COL_PRG,oldnick,newnick);
        displayirc(outbuffer,lookchannel);

        updatenickdata(lookchannel,oldnick,newnick);
      }
      count++;
    } // endwhile
    if(prefs.sortnicks==1) sortnicks(lookchannel->nicknamelist,lookchannel->window->NickList);
    lookchannel=lookchannel->next;
  } // endwhile
}

struct node *freenick(struct node *node)
{
  struct nick *nick;
  struct node *returnnode;

  returnnode=0;

  if(node==0) logerror(errorlogwindow,"freenick(): node==0!");
  else
  {
    nick=node->data;

    if(nick->nick) free(nick->nick);
    if(nick->hostmask) free(nick->hostmask);
    returnnode=freenode(node);
  }

  return returnnode;
}

void clearnicklist(struct channel *channel)
{
  FD_MainWindow *window;

  if(channel)
  {
    window=channel->window;
    while(channel->nicknamelist->head) freenick(channel->nicknamelist->head);
  }
  else window=mainform;

  fl_clear_browser(window->NickList);
}

void addquerynick(char *query)
{
  int count;

  server->nickhistline=maxhistory-1;
  if(strcasecmp(server->nickhist[server->nickhistline-1],query)!=0 && strlen(query)!=0)
  {
    strcpy(server->nickhist[server->nickhistline],query);
    for(count=1;count!=maxnickhist;count++) strcpy(server->nickhist[count-1],server->nickhist[count]);

    server->nickhist[server->nickhistline][0]=0;
  }
}

void setchannelmode(FD_MainWindow *window,char mode,int set)
{
  FL_OBJECT *button;

  button=0;

  switch(mode)
  {
    case 'a':
/*      button=window->A; */    /* Noch nicht eingebaut */
    break;
    case 'i':
      button=window->I;
    break;
    case 'k':
      button=window->K;
    break;
    case 'l':
      button=window->L;
    break;
    case 'm':
      button=window->M;
    break;
    case 'n':
      button=window->N;
    break;
    case 'p':
      button=window->P;
      if(set==1) fl_set_button(window->S,0);
    break;
    case 's':
      button=window->S;
      if(set==1) fl_set_button(window->P,0);
    break;
    case 't':
      button=window->T;
    break;
  }

  if(button!=0) fl_set_button(button,set);
}

void setchannellimit(FD_MainWindow *window,char *limit)
{
  fl_set_input(window->Nicklimit_Input,limit);
}

void clearchannelmodes(FD_MainWindow *window)
{
  int count;
  char *modes;

  modes="aiklmnpst";

  for(count=0;modes[count]!=0;count++) setchannelmode(window,modes[count],0);
  setchannellimit(window,"");
}

void resetwindow(struct channel *channel)
{
  FD_MainWindow *window;

  window=(channel) ? channel->window : mainform;

  displaytopic(window,"");

  opnick(channel,server->currentnick,0);       // Reihenfolge nicht ndern, sonst stimmt die Nickzahl nicht

  fl_set_object_label(window->ChannelFrame,"                   ");
  fl_set_object_label(window->ChannelFrame,"Kanal");
  fl_set_object_label(window->NickFrame,"             ");
  fl_set_object_label(window->NickFrame,"Nicks");

  clearnicklist(channel);
  clearchannelmodes(window);
}

void updatenicknum(struct channel *channel)
{
  char caption[32],nick;
  int count,ops;
  unsigned long numof;

  ops=0;

  numof=listlen(channel->nicknamelist);
  for(count=1;count<=numof;count++)
  {
    nick=*fl_get_browser_line(channel->window->NickList,count);
    if(nick=='@') ops++;
  } // endfor

  if(ops==0) sprintf(caption,"%d Nick%s",numof,(numof==1) ? "" : "s");
  else sprintf(caption,"%d Nick%s, %d Op%s",numof,(numof==1) ? "" : "s",ops,(ops==1) ? "" : "s");

  fl_set_object_label(channel->window->NickFrame,"             ");
  fl_set_object_label(channel->window->NickFrame,caption);

  if(prefs.sortnicks==1) sortnicks(channel->nicknamelist,channel->window->NickList);
}

void addnick(struct channel *channel,char *string)
{
  struct node *node;
  struct nick *nick;
  char *newnick;

  fl_add_browser_line(channel->window->NickList,string);

  node=addnewnodetolist(channel->nicknamelist,sizeof(struct nick));
  if(node)
  {
    newnick=calloc(1,strlen(string)+1);
    if(newnick==0) logerror(errorlogwindow,"addnick(): newnick==0!");
    else
    {
      strcpy(newnick,string+((string[0]=='@' || string[0]=='+') ? 1 : 0));
      nick=node->data;
      nick->nick=newnick;
      if(string[0]=='@') nick->op=1;
      if(string[0]=='+') nick->voice=1;
    }
  }

  updatenicknum(channel);
}

int removenick(struct channel *channel,char *string)
{
  int numofnicks,count,deleted;
  struct node *node;

  deleted=0;

  if(channel==0) logerror(errorlogwindow,"removenick() failed: channel==0!");
  {
    numofnicks=fl_get_browser_maxline(channel->window->NickList);

    count=1;

    while(!deleted && count<=numofnicks)
    {
      if(strcasecmp(string,fl_get_browser_line(channel->window->NickList,count))==0 ||
         strcasecmp(string,fl_get_browser_line(channel->window->NickList,count)+1)==0)
      {
        fl_delete_browser_line(channel->window->NickList,count);
        count--;
        numofnicks--;
        deleted=1;
      }
      count++;
    } // endwhile

    node=getnicknode(channel->nicknamelist,string);   // Nachsehen, ob der Nick auch in diesem Channel war
    if(node) freenick(node);                          // Wenn ja, dann freigeben

    updatenicknum(channel);
  }
  return deleted;
}

void quitnick(struct server *server,char *nick,char *reason)
{
  struct channel *channel;
  char outbuffer[LINELEN];

  channel=server->channel;
  if(channel==0) logerror(errorlogwindow,"quitnick(): channel==0!");
  else
  {
    sprintf(outbuffer,"\\C%dQuit\t%s hat diesen Server verlassen. (%s)",COL_PRG,nick,reason);

    /* entferne den Nick aus allen Channels, wo er sich befindet */
    while(channel!=0)
    {
      if(removenick(channel,nick)!=0) displayirc(outbuffer,channel);
      channel=channel->next;
    } // endwhile
  }
}

void setnick(struct server *server,char *string)
{
  char opped[NICKLEN+2],outbuffer[LINELEN],checknick[NICKLEN+1];
  struct channel *channel;
  struct node *node;
  struct nick *nick;
  int numofnicks,count;

  sprintf(outbuffer,"\\C%dNick\tDu bist nun als %s bekannt.",COL_PRG,string);
  channel=server->channel;
  /* Liste der Alternativ-Nicks zurcksetzen */
  prefs.nicknum=0;

  if(channel==0)
  {
    fl_set_object_label(mainform->Nickname,string);
    displayirc(outbuffer,channel);
  }

  changequerynick(server,server->currentnick,string); // Query mit sich selbst bercksichtigen

  while(channel!=0)
  {
    node=getnicknode(channel->nicknamelist,server->currentnick);
    if(node==0) logerror(errorlogwindow,"setnick(): node==0!");
    else
    {
      nick=node->data;

      if(nick->op==1) sprintf(opped," @%s ",string); // Workaround: Das @ darf nicht das erste Zeichen sein
      else if(nick->voice==1) sprintf(opped," +%s ",string);
      else strcpy(opped,string);

      fl_set_object_label(channel->window->Nickname,opped);

      numofnicks=fl_get_browser_maxline(channel->window->NickList);
      count=1;
      while(count<=numofnicks)
      {
        strcpy(checknick,fl_get_browser_line(channel->window->NickList,count));
        if(nickcmp(server->currentnick,checknick)==0)
        {
          if(checknick[0]=='@' || checknick[0]=='+') strcpy(checknick+1,string);
          else strcpy(checknick,string);

          fl_replace_browser_line(channel->window->NickList,count,checknick);
          updatenickdata(channel,server->currentnick,string);
          displayirc(outbuffer,channel);
        }
        count++;
      } // endwhile
      if(prefs.sortnicks==1) sortnicks(channel->nicknamelist,channel->window->NickList);
      channel=channel->next;
    } // endwhile
  }
  strcpy(server->currentnick,string);
}

void saveformgeo(FL_FORM *form,struct geometry *geo)
{
  geo->x=form->x;
  geo->y=form->y;
  geo->w=form->w;
  geo->h=form->h;
}

void setformgeo(FL_FORM *form,struct geometry *geo)
{
  if(geo->w!=0 && geo->h!=0)
  {
    fl_set_form_geometry(form,geo->x,geo->y,geo->w,geo->h);
  }
}

void nicklistaction(FL_OBJECT *browser,long serverparam)   // serverparam wird (noch ?) nicht benutzt
{
  int num;
  struct server *server;
  struct channel *channel;

  num=abs(fl_get_browser(browser));   // kann Negativ oder positiv sein

  if(num)
  {
    fl_deselect_browser(browser);
    fl_select_browser_line(browser,num);  // Damit die Action nur den einen User sieht

    activechannel=browser->form->u_vdata;
    server=channel->server;

    parseaction(activechannel,prefs.nicklistaction,0,0);  // 0,0 = sofort bertragen, keine Parameter
    fl_deselect_browser(browser);
  }
}

FD_IsOnWindow *openison()
{
  isonwindow=create_form_IsOnWindow();
  isonwindow->IsOnWindow->u_vdata=0;
  fl_set_browser_dblclick_callback(isonwindow->IsOnList,&nicklistaction,0);

  setformgeo(isonwindow->IsOnWindow,&prefs.geoison);

  isonwindow->IsOnWindow->u_ldata=WINDOW_ISON;
  isonwindow->IsOnWindow->u_vdata=0;

  fl_register_raw_callback(isonwindow->IsOnWindow,FL_ALL_EVENT,&geometryevent);
  fl_show_form(isonwindow->IsOnWindow,FL_PLACE_POSITION,FL_FULLBORDER,"Nicks Online");

  return isonwindow;
}

struct channel *removechannel(struct server *server,struct channel *channel)
{
  struct channel *retchan;

  retchan=0;

  if(channel->topiclist) freetopics(channel);
  if(channel->topiclistwin) closetopiclist(channel);
  if(channel->banwin) closebanlist(channel);

  if(channel->prev==0)
  {
    retchan=server->channel=channel->next;
    if(channel->next!=0) channel->next->prev=0;
    if(server->channel!=0) server->channel->prev=0;
  }
  else
  {
    retchan=channel->prev;
    channel->prev->next=channel->next;
    if(channel->next!=0) channel->next->prev=channel->prev;
  }

  if(server->channel!=0) fl_hide_form(channel->window->MainWindow);
  else channel->window->MainWindow->u_vdata=0;

  freelist(channel->nicknamelist); /* Die Nicks wurden in clearnicklistlist() freigegeben */
  free(channel);

  return retchan;
}

void removeallchannels(struct server *server)
{
  while(server->channel!=0) removechannel(server,server->channel);
  resetwindow(0);
}

int closechannel(FL_FORM *window,void *data)  // data = struct channel *
{
  struct channel *channel;

  channel=data;

  if(channel==0) logerror(errorlogwindow,"closechannel(): channel==0!");
  else
  {
    activechannel=channel;
    parseaction(channel,"/PART%n",0,0); /* 0,0 = sofort bertragen, keine Parameter */
  }

  return FL_IGNORE;
}

struct channel *addchannel(struct server *server,char *name)
{
  struct channel *newchannel,*lookchannel;

  lookchannel=0;
  newchannel=calloc(sizeof(struct channel),1);

  if(newchannel==0) logerror(errorlogwindow,"addchannel(): newchannel==0!");
  else
  {
    strcpy(newchannel->name,name);
    newchannel->nicknamelist=newlist();
    if(newchannel->nicknamelist==0) logerror(errorlogwindow,"addchannel(): newchannel->nicknamelist==0!");

    if(server->channel==0)
    {
      newchannel->window=mainform;
      server->channel=newchannel;
    }
    else
    {
      lookchannel=server->channel;
      while(lookchannel->next!=0) lookchannel=lookchannel->next;

      lookchannel->next=newchannel;
      newchannel->prev=lookchannel;
      newchannel->window=create_form_MainWindow();
      setwindowdefaults(newchannel->window);

      fl_set_form_atclose(newchannel->window->MainWindow,closechannel,newchannel);
      fl_show_form(newchannel->window->MainWindow,FL_PLACE_POSITION,FL_FULLBORDER,newchannel->name);
    }

    newchannel->channeltext=newchannel->window->ChannelText;
    newchannel->window->MainWindow->u_vdata=newchannel;
    newchannel->server=server;
    newchannel->logstart=1;                 // Flag, ob das Log gerade gestartet wurde oder schon lief
    newchannel->nickcomplete=1;             // Start fr Nickcomplete-Suche
  }

  return newchannel;
}

struct channel *getchannelbyname(struct server *server,char *name)
{
  struct channel *lookchan;

  lookchan=0;

  if(server!=0)
  {
    if(server->channel!=0)
    {
      lookchan=server->channel;
      while(lookchan!=0 && strcasecmp(lookchan->name,name)!=0) lookchan=lookchan->next;

      if(lookchan==0) printf("getchannelbyname(): channel %s not found\n",name);
    }
  }
  return lookchan;
}

struct channel *getchannelbywindow(struct server *server,FD_MainWindow *window)
{
  struct channel *lookchan;

  lookchan=window->MainWindow->u_vdata;

  return lookchan;
}

void findnick(struct channel *channel, char *nick)
{
  int maxnick,count,quit,pad,begincount;
  char checknick[NICKLEN+2],foundnick[NICKLEN];

  if(channel==0) logerror(errorlogwindow,"findnick: channel==0!");
  else
  {
    maxnick=fl_get_browser_maxline(channel->window->NickList);
    if(maxnick!=0)
    {
      count=channel->nickcomplete;
      if(count>maxnick) count=maxnick;      //  Falls jemand rausgegangen ist
      begincount=count;
      quit=0;
      foundnick[0]=0;

      while(quit==0)
      {
        strcpy(checknick,fl_get_browser_line(channel->window->NickList,count));

        if(checknick[0]=='@' || checknick[0]=='+') pad=1; else pad=0;

        if(strncasecmp(checknick+pad,nick,strlen(nick))==0)
        {
          strcpy(foundnick,checknick+pad);
          quit=1;
        }

        count++;
        if(count>maxnick) count=1;
        if(count==begincount) quit=1;
      } // endwhile

      channel->nickcomplete=count;
    }
  }
  strcpy(nick,foundnick);
}

int inputfilter(FL_OBJECT *input,int event,FL_Coord mx,FL_Coord my,int key,void *raw_event)
{
  char outstring[LINELEN],searchnick[NICKLEN+2],newout[LINELEN];
  int count,quit,cpos;
  struct channel *channel;

  if(event==FL_KEYBOARD)
  {
    channel=getchannelbywindow(server,input->form->fdui);

    strcpy(outstring,fl_get_input(input));
    if(key!=9 && server!=0)
    {
      server->nickhistline=maxnickhist-1;
      if(channel!=0) channel->nickcompleting=0;
    }

    switch(key)
    {
      case 13:
        if(strlen(outstring)==0) return FL_PREEMPT;
        else
        {
          resetautoawaytimer(&prefs);
          if(prefs.isaway)
          {
            transmitraw(server->sock,"AWAY");
            prefs.isaway=0;
          }

          activechannel=getchannelbywindow(server,input->form->fdui);
          transmit(server,outstring);
          if(server!=0)
          {
            server->histline=maxhistory-1;
            strcpy(server->history[server->histline],outstring);
            for(count=1;count!=maxhistory;count++) strcpy(server->history[count-1],server->history[count]);

            server->history[server->histline][0]=0;
          }

          fl_set_input(input,"");
          return 0;
        }
      break;

      case 9:
        if(server!=0)
        {
          if(strlen(outstring)==0 || (strncasecmp("/MSG",fl_get_input(input),4)==0 && strlen(server->lastquery)!=0))
          {
            if(server->nickhistline==0) server->nickhistline=maxnickhist-1;
            if(server->nickhist[server->nickhistline-1][0]==0) server->nickhistline=maxnickhist-1;

            sprintf(outstring,"/msg %s",server->nickhist[--server->nickhistline]);
            if(strlen(server->nickhist[server->nickhistline])!=0) strcat(outstring," ");

            fl_set_input(input,outstring);
            return FL_PREEMPT;
          }
          else        // Nick-Completion
          {
            if(channel!=0)
            {
              if(channel->nickcompleting==0)         // Bereits Nick-Completion aktiv?
              {
                fl_get_input_cursorpos(input,&cpos,&quit);  // quit ist nur ein dummy
                channel->nickcompleting=cpos;
                strcpy(channel->nickpost,outstring+cpos);
              }
            
              cpos=channel->nickcompleting;
              quit=0;

              if(cpos!=0)
              {
                count=cpos;

                while(quit==0 && count!=0)
                {
                  if((unsigned) outstring[count-1]<33) quit=1; else count--;
                } // endwhile

                if(count!=cpos && (cpos-count)<=sizeof searchnick)
                {
                  strncpy(searchnick,outstring+count,cpos-count);
                  searchnick[cpos-count]=0;

                  channel=getchannelbywindow(server,input->form->fdui);
                  findnick(channel,searchnick);

                  if(strlen(searchnick)!=0)
                  {
                    newout[0]=0;
                    if(count!=0) strncat(newout,outstring,count);
                    if(count==0) strcat(searchnick,":");

                    strcat(searchnick," ");
                    strcat(newout,searchnick);
                    strcat(newout,channel->nickpost);
                    strcpy(outstring,newout);

                    fl_set_input(input,outstring);
                    fl_set_input_cursorpos(input,count+strlen(searchnick),0);

                    return FL_PREEMPT;
                  }
                }
              }
            }                 // AAAAaaaaaaaaaaaaargh!
          }
        }
      break;

      case 65362:   // CRSR_UP
        if(server!=0)
        {
          if(server->histline!=0) fl_set_input(input,server->history[--server->histline]);
          return FL_PREEMPT;
        }
      break;

      case 65364:   // CRSR_DN
        if(server!=0)
        {
          if(server->histline!=(maxhistory-1)) fl_set_input(input,server->history[++server->histline]);
          return FL_PREEMPT;
        }
      break;

      case 65365:   // PG_UP
      {
        int height,topline,newtopline;
        FL_OBJECT *browser;

        if(channel) browser=channel->window->ChannelText;
        else browser=mainform->ChannelText;

        height=fl_get_browser_screenlines(browser);
        topline=fl_get_browser_topline(browser);

        newtopline=topline-height+1;
        if(newtopline<1) newtopline=1;
        
        fl_set_browser_topline(browser,newtopline);
      } 
      break;

      case 65366:   // PG_DN
      {
        int height,topline,newtopline,maxline;
        FL_OBJECT *browser;

        if(channel) browser=channel->window->ChannelText;
        else browser=mainform->ChannelText;

        height=fl_get_browser_screenlines(browser);
        topline=fl_get_browser_topline(browser);
        maxline=fl_get_browser_maxline(browser);

        newtopline=topline+height-1;
        if(newtopline>(maxline-height+1)) newtopline=maxline-height+1;
        
        fl_set_browser_topline(browser,newtopline);
      }
      break;
/*
  War wohl keine so gute Idee ;)

      case 65360:   // POS_1
      {
        FL_OBJECT *browser;

        if(channel) browser=channel->window->ChannelText;
        else browser=mainform->ChannelText;
        fl_set_browser_topline(browser,1);
      }
      break;

      case 65367:   // ENDE
      {
        FL_OBJECT *browser;
        int height,topline,newtopline,maxline;

        if(channel) browser=channel->window->ChannelText;
        else browser=mainform->ChannelText;

        height=fl_get_browser_screenlines(browser);
        maxline=fl_get_browser_maxline(browser);
        fl_set_browser_topline(browser,maxline-height+1);
      }
      break;

      default:
//        printf("'%d'\n",key);
        return 0;
      break;
*/

    } // endswitch
  }
  return 0;
}

void addactionstomenu(FL_OBJECT *menu)
{
  int count;
  char **action;

  action=prefs.actiontitle;
  for(count=0;count<prefs.numofactions;count++) fl_addto_menu(menu,action[count]);
}

void setwindowdefaults(FD_MainWindow *window)
{
  fl_set_browser_fontsize(window->ChannelText,prefs.channelsize);
  fl_set_browser_fontsize(window->NickList,prefs.nicksize);

  fl_set_input_maxchars(window->InputLine,LINELEN-1);
  window->InputLine->wantkey=FL_KEY_TAB;

  fl_set_object_prehandler(window->InputLine,inputfilter);

  fl_setpup_default_fontstyle(0);
  fl_setpup_default_fontsize(10);

  fl_addto_menu(window->ProjectMenu,"Verbinden");
  fl_addto_menu(window->ProjectMenu,"Verlassen");

  fl_addto_menu(window->PreferencesMenu,"Allgemein");
  fl_addto_menu(window->PreferencesMenu,"Server");
  fl_addto_menu(window->PreferencesMenu,"Farben");
  fl_addto_menu(window->PreferencesMenu,"berwachen");
  fl_addto_menu(window->PreferencesMenu,"Ignorieren");
  fl_addto_menu(window->PreferencesMenu,"Knpfe");
  fl_addto_menu(window->PreferencesMenu,"Ereignisse");
  fl_addto_menu(window->PreferencesMenu,"Aktionen");
  fl_addto_menu(window->PreferencesMenu,"Hervorheben");
  fl_addto_menu(window->PreferencesMenu,"Aliase");

  fl_addto_menu(window->WindowsMenu,"Nicks Online");
  fl_addto_menu(window->WindowsMenu,"DCC-Versand");
  fl_addto_menu(window->WindowsMenu,"DCC-Status");
  fl_addto_menu(window->WindowsMenu,"URL-Fnger");
  fl_addto_menu(window->WindowsMenu,"Kanalliste");
  fl_addto_menu(window->WindowsMenu,"Bannliste");
  fl_addto_menu(window->WindowsMenu,"Fehlerprotokoll");

  addactionstomenu(window->ActionsMenu);

  fl_addto_menu(window->HelpMenu,"Hilfe");
  fl_addto_menu(window->HelpMenu,"ber FoxIRC ...");

  fl_set_menu_item_mode(window->HelpMenu,1,FL_PUP_GREY);

  fl_set_object_label(window->Button00,prefs.butnam[0]);  // Workaround, bis das Interface fertig ist
  fl_set_object_label(window->Button01,prefs.butnam[1]);
  fl_set_object_label(window->Button02,prefs.butnam[2]);
  fl_set_object_label(window->Button03,prefs.butnam[3]);
  fl_set_object_label(window->Button04,prefs.butnam[4]);
  fl_set_object_label(window->Button05,prefs.butnam[5]);
  fl_set_object_label(window->Button06,prefs.butnam[6]);
  fl_set_object_label(window->Button07,prefs.butnam[7]);

  fl_set_button(window->Log,prefs.log);
  fl_set_object_label(window->Nickname,(server==0) ? prefs.nick[0] : server->currentnick);

  fl_set_browser_hscrollbar(window->ChannelText,FL_ON);
  fl_set_browser_vscrollbar(window->ChannelText,FL_ON);

  fl_set_browser_specialkey(window->ChannelText,'\\');
  fl_set_browser_specialkey(window->NickList,'\\');

  fl_set_browser_dblclick_callback(window->NickList,&nicklistaction,(long) server); // server wird noch nicht benutzt

  fl_set_object_label(window->LagOMeter,"Lag: ---");

  fl_set_object_color(window->ChannelText,COL_BG,COL_BG);

  setformgeo(window->MainWindow,&prefs.geomain);
}

#include "Include/Sound.c"

void queuesound(char *name)
{
  int handle,pid;
  long length,speed,chunklen;
  struct stat stat;
  struct wav wav;
  struct sound *sound; // ,*looksound;
  char *mem,bits,stereo,amiga,header[4];

  if(soundpid)
  {
//    printf("Killing previous Sound Child.\n");
    kill(soundpid,SIGINT);
    soundpid=0;
  }

  pid=fork();
  if(pid==0)
  {
//  printf("Sound child established\n");

    length=0;
    amiga=0;
    stereo=1;
    bits=16;

    handle=open(name,O_RDONLY);
    if(handle==-1) printf("queuesound(): open('%s') failed!\n",name);
    else
    {
      if(fstat(handle,&stat)) printf("queuesound(): fstat('%s') failed!\n",name);
      {
        read(handle,&header,4);

        if(strncmp(header,"RIFF",4)==0)
        {
          lseek(handle,0,SEEK_SET);
 //       printf("WAV\n");
          read(handle,&wav,sizeof(wav));

          length=wav.length;
          bits=wav.bitspersample;
          stereo=wav.channels-1;
          speed=wav.rate;
        }

        else if(strncmp(header,"FORM",4)==0)
        {
//        printf("8SVX\n");

          bits=8;
          stereo=0;
          amiga=1;

          lseek(handle,4,SEEK_CUR);
          read(handle,&header,4);
          if(strncmp(header,"8SVX",4)!=0) printf("'%s': Not an IFF-8SVX sound file!\n",name);
          else
          {
            do
            {
              read(handle,&header,4);
              read(handle,&chunklen,4);
//            printf("Chunk: '%0.4s' len %d\n",header,intel(chunklen));

              if(strncmp(header,"VHDR",4)!=0) lseek(handle,intel(chunklen),SEEK_CUR);
            } while(strncmp(header,"VHDR",4)!=0);

            lseek(handle,12,SEEK_CUR);

            read(handle,&speed,2);
            speed=((speed & 0xff) << 8)+((speed & 0xff00) >> 8);
          
//          printf("Speed %x\n",speed);

            lseek(handle,6,SEEK_CUR);

            do
            {
              read(handle,&header,4);
              read(handle,&chunklen,4);
//            printf("Chunk: '%0.4s' len %d\n",header,intel(chunklen));

              if(strncmp(header,"BODY",4)!=0) lseek(handle,intel(chunklen),SEEK_CUR);
            } while(strncmp(header,"BODY",4)!=0);

            length=intel(chunklen);
          }
        }

        else
        {
          printf("'%s': Unknown sound format\n",name);
        }

        if(length!=0)
        {
          sound=malloc(sizeof(struct sound));
          if(sound==0) logerror(errorlogwindow,"queuesound(): malloc(sound) failed!");
          else
          {
            memset(sound,0,sizeof(struct sound));

            sound->length=length;
            sound->speed=speed;
            sound->bits=bits;
            sound->stereo=stereo;
            sound->amiga=amiga;

            mem=malloc(length);

            if(mem==0) logerror(errorlogwindow,"queuesound(): malloc(mem) failed!");
            else
            {
              read(handle,mem,length);
              sound->rawdata=mem;

              preparesound(sound);

              free(mem);
            }

            free(sound);
          }
        }

      }
      close(handle);
    }

//    printf("Killing Sound Child\n");
    exit(0);
  }
  else
  {
    soundpid=pid;
  }
}

void checkevents(int type,char *nick,char *channelname,char *text)
{
  struct node *lookeventnode;
  struct event *lookevent;
  struct channel *lookchannel;
  char outstring[LINELEN],*lowtext,*lowparameter;

  if(prefs.events && eventlist)
  {
    lowtext=malloc(strlen(text)+1);
    strcpy(lowtext,text);
    lowerstr(lowtext);

    lookeventnode=eventlist->head;
    while(lookeventnode)
    {
      lookevent=lookeventnode->data;
      if(lookevent->type==type)
      {
        lowparameter=malloc(strlen(lookevent->parameter)+1);
        strcpy(lowparameter,lookevent->parameter);
        lowerstr(lowparameter);

// printf("%s %s\n",lowtext,lowparameter);

        if(strstr(lowtext,lowparameter) || strlen(lowparameter)==0)
        {
          if(type!=EVENT_ISON || lookevent->doneonce==0)
          {
            if(type==EVENT_ISON) lookevent->doneonce=1;

            if(strlen(lookevent->text) && channelname)  // channelname==0 bei INVITE mglich
            {
              lookchannel=getchannelbyname(server,channelname);
              if(lookchannel==0) logerror(errorlogwindow,"checkevents(): lookchannel==0!");
              else
              {
                activechannel=lookchannel;
                sprintf(outstring,"%s",lookevent->text);
                transmit(server,outstring);
              }
            }
            if(strlen(lookevent->sound))
            {
//            printf("playing sound '%s'\n",lookevent->sound);
              queuesound(lookevent->sound);
            }
          }
        }
        free(lowparameter);
      }
 
      lookeventnode=lookeventnode->next;
    } // endwhile

    free(lowtext);
  }
}

void updatelag(char *lagstring)
{
  struct channel *lookchannel;

  if(server==0)  fl_set_object_label(mainform->LagOMeter,lagstring);
  else
  {
    lookchannel=server->channel;
    if(lookchannel==0) fl_set_object_label(mainform->LagOMeter,lagstring);

    while(lookchannel!=0)
    {
      fl_set_object_label(lookchannel->window->LagOMeter,lagstring);
      lookchannel=lookchannel->next;
    } // endwhile
  }
}

int getip(char *hostmask,char *ipstr)
{
  struct hostent *entry;

  entry=gethostbyname(hostmask);

  if(entry)
  {
    memcpy(ipstr,entry->h_addr_list[0],4);

    return 1;
  }

  return 0;
}

void cleanupserver(struct server *server)
{
  if(nickchangewindow!=0) fl_hide_form(nickchangewindow->NickchangeWindow);    // Das darf man dann nicht mehr :)

  server->connected=0;
  server->cleartojoin=0;
  server->isonreply=1;
  removeallchannels(server);
  removeallqueries(server);
  activechannel=0;

  fl_set_timer(mainform->NotifyTimer,0.5);          // Notify-Zeit zurcksetzen
}

void incoming(struct server *server)
{
  char c,outbuffer[LINELEN];
  int response;

  do
  {
    response=getc(server->inhandle);
    if(response==-1)
    {
      if(errno!=EAGAIN && errno!=0)
      {
        printf("Lost connection to server! Error Code %d (%s)\n",errno,strerror(errno));

        sprintf(outbuffer,"\\C%dInfo\tVerbindung mit dem Server verloren.",COL_PRG);
        displayirc(outbuffer,0);

        cleanupserver(server);
      }
    }
    else
    {
      c=response;
      inbuffer[inpointer]=c;
      inpointer++;

      if(c==0x0a || inpointer==(sizeof(inbuffer)-1))
      {
        inbuffer[inpointer-1]=0;
        inbuffer[inpointer]=0;
        parsein(server,inbuffer);
        inpointer=0;
        if(c!=0x0a) while(getc(server->inhandle)!=0x0a);    // Eingehende Zeile zu lang?
      }
    }
  } while(response!=-1);
}

int openconnection(char *servername,int port)
{
  int mysocket,returnsock,result,len;
  struct servent *serviceinfo;
  struct sockaddr_in socketaddress,sa;
  int salen;                            // Lnge von sa (socketaddress)
  struct hostent *host;
  char message[256];
  
  returnsock=0;

  bzero((caddr_t)&socketaddress,sizeof(socketaddress));

  host=gethostbyname(servername);
  if(host==0)
  {
    sprintf(message,"\\C%dFehler\tKonnte Server %s nicht finden.",COL_PRG,servername);
    info(message,0);
  }
  else
  {
    mysocket=socket(host->h_addrtype,SOCK_STREAM,0);  // sys/socket.h

    if(mysocket>=0)
    {
      serviceinfo=getservbyname("irc","tcp");
      if(serviceinfo!=0)
      {
        result=bind(mysocket,(struct sockaddr *)&socketaddress,sizeof(socketaddress));
        if(result>=0)
        {
          socketaddress.sin_family=host->h_addrtype;
          socketaddress.sin_port=htons(port);
          bcopy(host->h_addr, (char *)&socketaddress.sin_addr,host->h_length);
          len=sizeof(socketaddress);

          result=connect(mysocket,(struct sockaddr *)&socketaddress,len);
          if(result!=-1)
          {
            returnsock=mysocket;

            salen=sizeof(sa);
            getsockname(mysocket,&sa,&salen);
            server->myip.s_addr=sa.sin_addr.s_addr;   /* IP holen, unter der man von auen erreichbar ist */

            fcntl(mysocket,F_SETFL,O_NONBLOCK);
//            printf("%0.8x\n",sa.sin_addr.s_addr);
          }
        }
      }
    }
  }
  return returnsock;
}

FD_ChannelListWindow *openchannellist()
{
  FD_ChannelListWindow *channellist;

  channellist=create_form_ChannelListWindow();

  fl_set_object_label(channellist->Warning,
                        "Achtung! Diese Funktion kann erhebliche Netzlast erzeugen!\n"
                        "Falls der Client die Kanalliste nicht schnell genug einlesen kann,\n"
                        "ist es mglich, da die Verbindung vom IRC-Server getrennt wird!");

  setformgeo(channellist->ChannelListWindow,&prefs.geochannellist);
  fl_show_form(channellist->ChannelListWindow,FL_PLACE_POSITION,FL_TRANSIENT,"Kanalliste");

  return channellist;
}

FD_NotifyWindow *opennotify()
{
  FD_NotifyWindow *notify;

  notify=create_form_NotifyWindow();
  line2browser(prefs.notifystring,notify->NotifyList);

  fl_set_input_return(notify->NotifyInput,FL_RETURN_END);
  fl_set_input_maxchars(notify->NotifyInput,9);
  fl_show_form(notify->NotifyWindow,FL_PLACE_POSITION,FL_TRANSIENT,"berwachen");

  return notify;
}

FD_HilightWindow *openhilight()
{
  FD_HilightWindow *hilight;

  hilight=create_form_HilightWindow();
  line2browser(prefs.hilightstring,hilight->HilightList);

  fl_set_input_return(hilight->HilightInput,FL_RETURN_END);
  fl_set_input_maxchars(hilight->HilightInput,255);
  fl_show_form(hilight->HilightWindow,FL_PLACE_POSITION,FL_TRANSIENT,"Hervorheben");

  return hilight;
}

FD_PasswordWindow *openpassword(struct channel *channel)
{
  FD_PasswordWindow *passwordwin;
  passwordwin=create_form_PasswordWindow();

  fl_set_input_return(passwordwin->PasswordInput,FL_RETURN_END);
  fl_show_form(passwordwin->PasswordWindow,FL_PLACE_MOUSE,FL_TRANSIENT,"Kanalpasswort");

  return passwordwin;
}

void updatebuttons(FD_MainWindow *window)
{
  fl_set_object_label(window->Button00,prefs.butnam[0]);   // Workaround bis das Interface steht
  fl_set_object_label(window->Button01,prefs.butnam[1]);
  fl_set_object_label(window->Button02,prefs.butnam[2]);
  fl_set_object_label(window->Button03,prefs.butnam[3]);
  fl_set_object_label(window->Button04,prefs.butnam[4]);
  fl_set_object_label(window->Button05,prefs.butnam[5]);
  fl_set_object_label(window->Button06,prefs.butnam[6]);
  fl_set_object_label(window->Button07,prefs.butnam[7]);
}

FD_Buttons *butprefscontrol(FD_Buttons *buttons,FL_OBJECT *select)
{
  int quit,count,labelcount;
  char line[LINELEN+BUTLEN+1];
  struct channel *lookchannel;

  quit=0;

  if(select==buttons->Default)
  {
    fl_clear_browser(buttons->ButtonList);
    for(count=0;count<8;count++)
    {
      sprintf(line,"%s\t%s",prenam[count],prebut[count]);
      fl_add_browser_line(buttons->ButtonList,line);
      fl_select_browser_line(buttons->ButtonList,1);
      fl_set_input(buttons->Label,prenam[0]);
      fl_set_input(buttons->Definition,prebut[0]);
    }
  }

  /* Knopfliste neu aufbauen (Undo oder erstes Aufrufen des Fensters) */
  if(fl_get_browser_maxline(buttons->ButtonList)==0 || select==buttons->Undo)
  {
    fl_clear_browser(buttons->ButtonList);
    for(count=0;count<8;count++)
    {
      sprintf(line,"%s\t%s",prefs.butnam[count],prefs.button[count]);
      fl_add_browser_line(buttons->ButtonList,line);
      fl_select_browser_line(buttons->ButtonList,1);
      fl_set_input(buttons->Label,prefs.butnam[0]);
      fl_set_input(buttons->Definition,prefs.button[0]);
    }

    fl_set_input_return(buttons->Label,FL_RETURN_CHANGED);
    fl_set_input_return(buttons->Definition,FL_RETURN_CHANGED);
  }

  if(select==buttons->ButtonList)
  {
    count=fl_get_browser(buttons->ButtonList);
    if(count!=0)
    {
      labelcount=0;
      strcpy(line,fl_get_browser_line(buttons->ButtonList,count));

      while(line[labelcount++]!=9);
      line[labelcount-1]=0;

      fl_set_input(buttons->Label,line);
      fl_set_input(buttons->Definition,line+labelcount);
    }
  }

  if(select==buttons->Label || select==buttons->Definition)
  {
    sprintf(line,"%s\t%s",fl_get_input(buttons->Label),fl_get_input(buttons->Definition));
    for(count=1;count<9;count++)
    {
      if(fl_isselected_browser_line(buttons->ButtonList,count)) fl_replace_browser_line(buttons->ButtonList,count,line);
    } // endfor
  }

  if(select==buttons->Save)
  {
    for(count=0;count<8;count++)
    {
      labelcount=0;
      strcpy(line,fl_get_browser_line(buttons->ButtonList,count+1));

      while(line[labelcount++]!=9);
      line[labelcount-1]=0;

      strcpy(prefs.butnam[count],line);
      strcpy(prefs.button[count],line+labelcount);
    } // endfor

    if(server==0) updatebuttons(mainform);
    else
    {
      lookchannel=server->channel;
      if(lookchannel==0) updatebuttons(mainform);

      while(lookchannel!=0)
      {
        updatebuttons(lookchannel->window);
        lookchannel=lookchannel->next;
      } // endwhile
    }

    writeprefs(&prefs);
    quit=1;
  }

  if(select==buttons->Cancel) quit=1;

  if(quit==0) return buttons;
  else
  {
    fl_hide_form(buttons->Buttons);
    return 0;
  }
}

FD_UrlCatcher *urlcontrol(FD_UrlCatcher *url,FL_OBJECT *select)
{
  int quit;
  char command[256];

  quit=0;

  if(select==url->UrlList)
  {
    strcpy(command,fl_get_browser_line(url->UrlList,fl_get_browser(url->UrlList)));
    fl_set_input(url->UrlInput,command);
  }

  if(select==url->Browser || select==url->UrlInput)
  {
    if(strlen(fl_get_input(url->UrlInput))!=0)
    {
      sprintf(command,prefs.browsercommand,fl_get_input(url->UrlInput));
      system(command);
    }
  }

  if(select==url->Close) quit=1;

  if(quit==0) return url;
  else
  {
    fl_hide_form(url->UrlCatcher);
    return 0;
  }
}

FD_IsOnWindow *isoncontrol(FD_IsOnWindow *ison,FL_OBJECT *select)
{
  int quit;

  quit=0;
  nickwasopen=1;

  if(select==ison->Edit)
  {
    if(notifywindow==0) notifywindow=opennotify();
  }

  if(select==ison->Close) quit=1;

  if(quit==0) return ison;
  else
  {
    saveformgeo(ison->IsOnWindow,&prefs.geoison);
    fl_hide_form(ison->IsOnWindow);
    return 0;
  }
}

FD_AboutWindow *aboutcontrol(FD_AboutWindow *about,FL_OBJECT *select)
{
  int quit;

  quit=0;

  if(select==about->Close) quit=1;

  if(quit==0) return about;
  else
  {
    saveformgeo(about->AboutWindow,&prefs.geoabout);
    fl_hide_form(about->AboutWindow);
    return 0;
  }
}

void updatechannellist(FD_ChannelListWindow *channellist,int numselected)
{
  fl_select_browser_line(channellist->ChannelList,numselected);
  fl_select_browser_line(channellist->NumofList,numselected);
  fl_select_browser_line(channellist->TopicList,numselected);
}

FD_ChannelListWindow *channellistcontrol(FD_ChannelListWindow *channellist,FL_OBJECT *select)
{
  int quit;
  char command[LINELEN];

  quit=0;

  fl_set_browser_topline(channellist->ChannelList,fl_get_browser_topline(channellist->TopicList));
  fl_set_browser_topline(channellist->NumofList,fl_get_browser_topline(channellist->TopicList));

  if(select==channellist->Update) transmit(server,"/LIST");

  if(select==channellist->ChannelList ||
     select==channellist->NumofList ||
     select==channellist->TopicList)
  {
    updatechannellist(channellist,fl_get_browser(select));
  }

  if(select==channellist->Join)
  {
    sprintf(command,"/JOIN %s",fl_get_browser_line(channellist->ChannelList,fl_get_browser(channellist->ChannelList)));
    transmit(server,command);
  }

  if(select==channellist->Close) quit=1;

  if(quit==0) return channellist;
  else
  {
    saveformgeo(channellist->ChannelListWindow,&prefs.geochannellist);
    fl_hide_form(channellist->ChannelListWindow);
    return 0;
  }
}

void swapbrowserline(FL_OBJECT *browser,int num1,int num2)
{
  char line[1024];

  strcpy(line,fl_get_browser_line(browser,num2));
  fl_replace_browser_line(browser,num2,fl_get_browser_line(browser,num1));
  fl_replace_browser_line(browser,num1,line);
}

void selectaction(FD_ActionWindow *action,int numsel)
{
  if(numsel!=0)
  {
    fl_select_browser_line(action->ActionTitle,numsel);
    fl_select_browser_line(action->ActionList,numsel);
    fl_set_input(action->Label,fl_get_browser_line(action->ActionTitle,numsel));
    fl_set_input(action->Definition,fl_get_browser_line(action->ActionList,numsel));
  }
}

void updateactions(FD_MainWindow *window)
{
  int numof,count;

  numof=fl_get_menu_maxitems(window->ActionsMenu);
  for(count=0;count<numof;count++) fl_delete_menu_item(window->ActionsMenu,1);
  addactionstomenu(window->ActionsMenu);
}

FD_ActionWindow *actioncontrol(FD_ActionWindow *action,FL_OBJECT *select)
{
  int quit,count,numsel;
  char **actiontitle,**actionlist,label[128],definition[LINELEN];
  struct channel *lookchannel;

  quit=0;
  actiontitle=prefs.actiontitle;
  actionlist=prefs.actionlist;

  if(firstopenaction==1 || select==action->Undo)
  {
    fl_set_input_return(action->Label,FL_RETURN_CHANGED);
    fl_set_input_return(action->Definition,FL_RETURN_CHANGED);

    fl_clear_browser(action->ActionTitle);
    fl_clear_browser(action->ActionList);

    fl_set_browser_vscrollbar(action->ActionTitle,0);  /* Nur eine Liste mit Scroller */
    fl_set_browser_hscrollbar(action->ActionTitle,0);  /* Keine Horizontalscroller */
    fl_set_browser_hscrollbar(action->ActionList,0);

    for(count=0;count<prefs.numofactions;count++)
    {
      fl_add_browser_line(action->ActionTitle,actiontitle[count]);
      fl_add_browser_line(action->ActionList,actionlist[count]);
    } // endfor

    if(prefs.numofactions!=0) selectaction(action,1);

    firstopenaction=0;
    select=action->ActionTitle;
  }

  fl_set_browser_topline(action->ActionTitle,fl_get_browser_topline(action->ActionList));

  if(select==action->Delete)
  {
    numsel=fl_get_browser(action->ActionTitle);

    if(numsel!=0)
    {
      fl_delete_browser_line(action->ActionTitle,numsel);
      fl_delete_browser_line(action->ActionList,numsel);

      if(numsel>fl_get_browser_maxline(action->ActionTitle)) numsel--;
      selectaction(action,numsel);
    }
  }

  if(select==action->ActionTitle ||
     select==action->ActionList)
  {
    numsel=fl_get_browser(select);
    selectaction(action,numsel);   /* Eingabefelder werden hier auch aktualisiert */
  }

  if(select==action->Label ||
     select==action->Definition)
  {
    strcpy(label,fl_get_input(action->Label));
    strcpy(definition,fl_get_input(action->Definition));

    numsel=fl_get_browser(action->ActionTitle);

    if(numsel!=0)
    {
      fl_replace_browser_line(action->ActionTitle,numsel,label);
      fl_replace_browser_line(action->ActionList,numsel,definition);
    }
  }

  if(select==action->Add)
  {
    fl_addto_browser(action->ActionTitle,"");
    fl_addto_browser(action->ActionList,"");

    numsel=fl_get_browser_maxline(action->ActionTitle);
    selectaction(action,numsel);
  }

  if(select==action->Up)
  {
    numsel=fl_get_browser(action->ActionTitle);
    if(numsel>1)
    {
      swapbrowserline(action->ActionTitle,numsel,numsel-1);
      swapbrowserline(action->ActionList,numsel,numsel-1);

      selectaction(action,numsel-1);
    }
  }

  if(select==action->Down)
  {
    numsel=fl_get_browser(action->ActionTitle);
    if(numsel<fl_get_browser_maxline(action->ActionTitle))
    {
      swapbrowserline(action->ActionTitle,numsel,numsel+1);
      swapbrowserline(action->ActionList,numsel,numsel+1);

      selectaction(action,numsel+1);
    }
  }

  if(select==action->Save)
  {
    freeactions(&prefs);
    numsel=fl_get_browser_maxline(action->ActionTitle);

    if(numsel!=0)
    {
      allocactions(&prefs,numsel);
      for(count=0;count<numsel;count++)
      {
        strcpy(label,fl_get_browser_line(action->ActionTitle,count+1));
        strcpy(definition,fl_get_browser_line(action->ActionList,count+1));

        prefs.actiontitle[count]=malloc(strlen(label)+1);
        prefs.actionlist[count]=malloc(strlen(definition)+1);

        strcpy(prefs.actiontitle[count],label);
        strcpy(prefs.actionlist[count],definition);
      }
    }

    writeprefs(&prefs);

    if(server==0) updateactions(mainform);
    else
    {
      lookchannel=server->channel;
      if(lookchannel==0) updateactions(mainform);

      while(lookchannel!=0)
      {
        updateactions(lookchannel->window);
        lookchannel=lookchannel->next;
      } // endwhile
    }

    quit=1;
  }

  if(select==action->Cancel) quit=1;

  if(quit==0) return action;
  else
  {
    fl_hide_form(action->ActionWindow);
    firstopenaction=1;
    readprefs(&prefs);
    return 0;
  }
}

void selectserver(FD_ServerWindow *serverwin,int numsel)
{
  if(numsel!=0)
  {
    fl_select_browser_line(serverwin->ServerList,numsel);
    fl_select_browser_line(serverwin->PortList,numsel);
    fl_select_browser_line(serverwin->ChannelList,numsel);
    fl_select_browser_line(serverwin->KeywordList,numsel);

    fl_set_input(serverwin->ServerInput,fl_get_browser_line(serverwin->ServerList,numsel));
    fl_set_input(serverwin->PortInput,fl_get_browser_line(serverwin->PortList,numsel));
    fl_set_input(serverwin->ChannelInput,fl_get_browser_line(serverwin->ChannelList,numsel));
    fl_set_input(serverwin->KeywordInput,fl_get_browser_line(serverwin->KeywordList,numsel));
  }
}

FD_ServerWindow *servercontrol(FD_ServerWindow *serverwin,FL_OBJECT *select)
{
  int quit,numsel,numof;
  char portstr[6],line[128],channelstr[MAXCHANNEL],*passwordstr;
  struct servernode *node;

  quit=0;

  if(firstopenserver==1)
  {
    node=prefs.serverlist;
    fl_set_browser_vscrollbar(serverwin->ServerList,0);
    fl_set_browser_vscrollbar(serverwin->PortList,0);
    fl_set_browser_vscrollbar(serverwin->ChannelList,0);
    fl_set_browser_hscrollbar(serverwin->ServerList,0);
    fl_set_browser_hscrollbar(serverwin->PortList,0);
    fl_set_browser_hscrollbar(serverwin->ChannelList,0);
    fl_set_browser_hscrollbar(serverwin->KeywordList,0);

    while(node!=0)
    {
      sprintf(portstr,"%d",node->port);
      fl_add_browser_line(serverwin->ServerList,node->name);
      fl_add_browser_line(serverwin->PortList,portstr);
      fl_add_browser_line(serverwin->ChannelList,node->channel);
      fl_add_browser_line(serverwin->KeywordList,(node->password) ? node->password : "");
      node=node->next;
    }

    numsel=fl_get_browser_maxline(serverwin->ServerList);
    if(numsel!=0)
    {
      if(prefs.chosenservernum==0) prefs.chosenservernum=1;
      numsel=prefs.chosenservernum;

      selectserver(serverwin,numsel);
    }

    firstopenserver=0;
  }

  fl_set_browser_topline(serverwin->ServerList,fl_get_browser_topline(serverwin->KeywordList));
  fl_set_browser_topline(serverwin->PortList,fl_get_browser_topline(serverwin->KeywordList));
  fl_set_browser_topline(serverwin->ChannelList,fl_get_browser_topline(serverwin->KeywordList));

  if(select==serverwin->Add)
  {
    strcpy(line,"neuer.server.de");
    addserverprefs(&prefs,line);

    fl_addto_browser(serverwin->ServerList,line);
    fl_addto_browser(serverwin->PortList,"6667");
    fl_addto_browser(serverwin->ChannelList,"");
    fl_addto_browser(serverwin->KeywordList,"");

    numsel=fl_get_browser_maxline(serverwin->ServerList);
    selectserver(serverwin,numsel);
    fl_set_input_selected(serverwin->ServerInput,1);

    prefs.chosenservernum=numsel;
  }

  if(select==serverwin->Delete)
  {
    numsel=fl_get_browser(serverwin->ServerList);

    if(numsel!=0)
    {
      fl_delete_browser_line(serverwin->ServerList,numsel);
      fl_delete_browser_line(serverwin->PortList,numsel);
      fl_delete_browser_line(serverwin->ChannelList,numsel);
      fl_delete_browser_line(serverwin->KeywordList,numsel);

      removeserverprefsnum(&prefs,numsel);

      if(numsel>fl_get_browser_maxline(serverwin->ServerList)) numsel--;
      selectserver(serverwin,numsel);
      prefs.chosenservernum=numsel;
    }
  }

  if(select==serverwin->ServerList ||
     select==serverwin->PortList ||
     select==serverwin->ChannelList ||
     select==serverwin->KeywordList)
  {
    numsel=fl_get_browser(select);
    selectserver(serverwin,numsel);

    prefs.chosenservernum=numsel;
  }

  if(select==serverwin->Up)
  {
    numsel=fl_get_browser(serverwin->ServerList);
    if(numsel>1)
    {
      swapbrowserline(serverwin->ServerList,numsel,numsel-1);
      swapbrowserline(serverwin->PortList,numsel,numsel-1);
      swapbrowserline(serverwin->ChannelList,numsel,numsel-1);
      swapbrowserline(serverwin->KeywordList,numsel,numsel-1);

      selectserver(serverwin,numsel-1);
      prefs.chosenservernum=numsel-1;
    }
  }

  if(select==serverwin->Down)
  {
    numsel=fl_get_browser(serverwin->ServerList);
    if(numsel<fl_get_browser_maxline(serverwin->ServerList))
    {
      swapbrowserline(serverwin->ServerList,numsel,numsel+1);
      swapbrowserline(serverwin->PortList,numsel,numsel+1);
      swapbrowserline(serverwin->ChannelList,numsel,numsel+1);
      swapbrowserline(serverwin->KeywordList,numsel,numsel+1);

      selectserver(serverwin,numsel+1);
      prefs.chosenservernum=numsel+1;
    }
  }

  if(select==serverwin->ServerInput ||
     select==serverwin->PortInput ||
     select==serverwin->ChannelInput ||
     select==serverwin->KeywordInput)
  {
    passwordstr=malloc(strlen(fl_get_input(serverwin->KeywordInput))+1);
    if(passwordstr==0) logerror(errorlogwindow,"servercontrol(): passwordstr==0!");

    strncpy(line,fl_get_input(serverwin->ServerInput),128);
    strncpy(portstr,fl_get_input(serverwin->PortInput),5);
    strncpy(channelstr,fl_get_input(serverwin->ChannelInput),MAXCHANNEL);
    if(passwordstr) strcpy(passwordstr,fl_get_input(serverwin->KeywordInput));

    numsel=fl_get_browser(serverwin->ServerList);

    if(numsel!=0)
    {
      fl_replace_browser_line(serverwin->ServerList,numsel,line);
      fl_replace_browser_line(serverwin->PortList,numsel,portstr);
      fl_replace_browser_line(serverwin->ChannelList,numsel,channelstr);
      if(passwordstr) fl_replace_browser_line(serverwin->KeywordList,numsel,passwordstr);
    }

    if(passwordstr) free(passwordstr);
  }

  if(select==serverwin->Save)
  {
    numof=fl_get_browser_maxline(serverwin->ServerList);

    if(numof!=0)
    {
      node=prefs.serverlist;
      numsel=1;
      while(node!=0)
      {
        int len;

        strcpy(node->name,fl_get_browser_line(serverwin->ServerList,numsel));
        node->port=atoi(fl_get_browser_line(serverwin->PortList,numsel));
        strcpy(node->channel,fl_get_browser_line(serverwin->ChannelList,numsel));

        if(node->password) free(node->password);
        node->password=0;
        len=strlen(fl_get_browser_line(serverwin->KeywordList,numsel));

        if(len)
        {
          node->password=malloc(len+1);
          if(node->password)
          {
            strcpy(node->password,fl_get_browser_line(serverwin->KeywordList,numsel));
          }
        }

        numsel++;
        node=node->next;
      } // endwhile
    }

    if(prefs.serverlist==0) prefs.chosenservernum=0;
    writeprefs(&prefs);

    if(server==0) intro();
    quit=1;
  }

  if(select==serverwin->Cancel) quit=1;

  if(quit==0) return serverwin;
  else
  {
    fl_hide_form(serverwin->ServerWindow);
    firstopenserver=1;
    readprefs(&prefs);
    return 0;
  }
}

FD_NotifyWindow *notifycontrol(FD_NotifyWindow *notify,FL_OBJECT *select)
{
  char nick[NICKLEN];
  int quit,count;

  quit=0;

  if(select==notify->NotifyInput || select==notify->NotifyAdd)
  {
    strcpy(nick,fl_get_input(notify->NotifyInput));
    if(strlen(nick)!=0) fl_addto_browser(notify->NotifyList,nick);
    fl_set_input(notify->NotifyInput,"");
  }

  if(select==notify->NotifyDelete)
  {
    count=fl_get_browser_maxline(notify->NotifyList);
    while(count!=0)
    {
      if(fl_isselected_browser_line(notify->NotifyList,count)) fl_delete_browser_line(notify->NotifyList,count);
      count--;
    } // endwhile
  }

  if(select==notify->NotifyCancel) quit=1;

  if(select==notify->NotifySave)
  {
    browser2line(prefs.notifystring,notify->NotifyList);
    writeprefs(&prefs);
    quit=1;
  }

  if(quit==0) return notify;
  else
  {
    fl_hide_form(notify->NotifyWindow);
    return 0;
  }
}

FD_HilightWindow *hilightcontrol(FD_HilightWindow *hilight,FL_OBJECT *select)
{
  char pattern[256];
  int quit,count;

  quit=0;

  if(select==hilight->HilightInput || select==hilight->HilightAdd)
  {
    strcpy(pattern,fl_get_input(hilight->HilightInput));
    if(strlen(pattern)!=0) fl_addto_browser(hilight->HilightList,pattern);
    fl_set_input(hilight->HilightInput,"");
  }

  if(select==hilight->HilightDelete)
  {
    count=fl_get_browser_maxline(hilight->HilightList);
    while(count!=0)
    {
      if(fl_isselected_browser_line(hilight->HilightList,count)) fl_delete_browser_line(hilight->HilightList,count);
      count--;
    } // endwhile
  }

  if(select==hilight->HilightCancel) quit=1;

  if(select==hilight->HilightSave)
  {
    browser2line(prefs.hilightstring,hilight->HilightList);
    writeprefs(&prefs);
    quit=1;
  }

  if(quit==0) return hilight;
  else
  {
    fl_hide_form(hilight->HilightWindow);
    return 0;
  }
}

FD_NickchangeWindow *nickchangecontrol(FD_NickchangeWindow *nickchange,FL_OBJECT *select)
{
  int quit;
  char newnick[16];

  quit=0;

  if(select==nickchange->Okay || select==nickchange->NickInput)
  {
    if(strlen(fl_get_input(nickchange->NickInput))!=0)
    {
      sprintf(newnick,"NICK %s",fl_get_input(nickchange->NickInput));
      transmitraw(server->sock,newnick);
    }
    quit=1;
  }

  if(select==nickchange->Default)
  {
    sprintf(newnick,"NICK %s",prefs.nick[0]);
    transmitraw(server->sock,newnick);

    quit=1;
  }

  if(select==nickchange->Cancel) quit=1;

  if(quit==0) return nickchange;
  else
  {
    fl_hide_form(nickchange->NickchangeWindow);
    return 0;
  }
}

void setchannelpassword(struct channel *channel,int set)
{
  char *command;
  int len;

  len=strlen(channel->name)+strlen(channel->password)+10;  /* + MODE<space><space><+/->k<space>\0 */
  command=malloc(len);
  if(command==0) logerror(errorlogwindow,"setchannelpassword(): command==0!");
  else
  {
    sprintf(command,"MODE %s %ck %s",channel->name,(set) ? '+' : '-',channel->password);
    transmitraw(server->sock,command);
    free(command);
  }
}

FD_PasswordWindow *passwordcontrol(struct channel *channel,FL_OBJECT *select)
{
  int quit;
  FD_PasswordWindow *passwin;

  passwin=channel->passwordwin;

  quit=0;

  if(select==passwin->Okay || select==passwin->PasswordInput)
  {
    if(strlen(fl_get_input(passwin->PasswordInput))!=0)
    {
      strcpy(channel->password,fl_get_input(passwin->PasswordInput));
      setchannelpassword(channel,1);
    }
    quit=1;
  }

  if(select==passwin->Cancel) quit=1;

  if(quit==0) return passwin;
  else
  {
    fl_hide_form(passwin->PasswordWindow);
    return 0;
  }
}

FD_General *generalcontrol(FD_General *general,FL_OBJECT *select)
{
  int quit;

  quit=0;

  if(select==generalwindow->Undo || firstopengeneral==1)
  {
    char number[10];

    firstopengeneral=0;

    sprintf(number,"%d",prefs.autoawaytime);
    fl_set_input(generalwindow->AutoAwayTime,number);
    sprintf(number,"%d",prefs.notifydelay);
    fl_set_input(generalwindow->DelayInput,number);
    sprintf(number,"%d",prefs.channelsize);
    fl_set_input(generalwindow->ChannelHeight,number);
    sprintf(number,"%d",prefs.nicksize);
    fl_set_input(generalwindow->NickHeight,number);

    fl_set_input(generalwindow->RealnameInput,prefs.realname);
    fl_set_input(generalwindow->IdentInput,prefs.ident);
    fl_set_input(generalwindow->Nick1,prefs.nick[0]);
    fl_set_input(generalwindow->Nick2,prefs.nick[1]);
    fl_set_input(generalwindow->Nick3,prefs.nick[2]);
    fl_set_input(generalwindow->Nick4,prefs.nick[3]);
    fl_set_input(generalwindow->DCCPath,prefs.dccpath);
    fl_set_input(generalwindow->QuitInput,prefs.quitmsg);
    fl_set_input(generalwindow->KickInput,prefs.kickmsg);
    fl_set_input(generalwindow->DoubleClick,prefs.nicklistaction);
    fl_set_input(generalwindow->BrowserInput,prefs.browsercommand);
    fl_set_input(generalwindow->AutoAwayText,(prefs.autoawaytext) ? prefs.autoawaytext : "");

    fl_set_button(generalwindow->AutoAwayCheck,prefs.autoaway);
    fl_set_button(generalwindow->MOTDCheck,prefs.motd);
    fl_set_button(generalwindow->FixedCheck,prefs.fixedmotd);
    fl_set_button(generalwindow->LogCheck,prefs.log);
    fl_set_button(generalwindow->TimestampCheck,prefs.logtimestamp);
    fl_set_button(generalwindow->SmallLogCheck,prefs.smalllog);
    fl_set_button(generalwindow->QueryCheck,prefs.openquery);
    fl_set_button(generalwindow->EventsCheck,prefs.events);
    fl_set_button(generalwindow->HilightCheck,prefs.hilight);
    fl_set_button(generalwindow->MorseCheck,prefs.decodemorse);
    fl_set_button(generalwindow->NotifyCheck,prefs.notify);
    fl_set_button(generalwindow->AutoNotifyCheck,prefs.autonotify);
    fl_set_button(generalwindow->SortNicks,prefs.sortnicks);
    fl_set_button(generalwindow->JoinOnInvite,prefs.joinoninvite);

    fl_set_input_maxchars(generalwindow->AutoAwayTime,8);
    fl_set_input_maxchars(generalwindow->RealnameInput,MAXREAL);
    fl_set_input_maxchars(generalwindow->IdentInput,MAXIDENT);
    fl_set_input_maxchars(generalwindow->QuitInput,LINELEN);
    fl_set_input_maxchars(generalwindow->KickInput,LINELEN);
    fl_set_input_maxchars(generalwindow->DoubleClick,LINELEN);

    fl_set_input_maxchars(generalwindow->Nick1,9);
    fl_set_input_maxchars(generalwindow->Nick2,9);
    fl_set_input_maxchars(generalwindow->Nick3,9);
    fl_set_input_maxchars(generalwindow->Nick4,9);

    fl_set_input_maxchars(generalwindow->DelayInput,3);
  }

  if(select==generalwindow->Save)
  {
    strcpy(prefs.realname,fl_get_input(generalwindow->RealnameInput));
    strcpy(prefs.ident,fl_get_input(generalwindow->IdentInput));
    strcpy(prefs.nick[0],fl_get_input(generalwindow->Nick1));
    strcpy(prefs.nick[1],fl_get_input(generalwindow->Nick2));
    strcpy(prefs.nick[2],fl_get_input(generalwindow->Nick3));
    strcpy(prefs.nick[3],fl_get_input(generalwindow->Nick4));

    if(prefs.dccpath) free(prefs.dccpath);
    prefs.dccpath=calloc(1,strlen(fl_get_input(generalwindow->DCCPath))+2);  // +2 fr evtl. "/" und \0 am Ende
    if(prefs.dccpath==0) logerror(errorlogwindow,"generalcontrol(): Kein Speicher fr DCC-Pfad!");
    else
    {
      strcpy(prefs.dccpath,fl_get_input(generalwindow->DCCPath));
      if(prefs.dccpath[strlen(prefs.dccpath)-1]!='/') strcat(prefs.dccpath,"/");
    }

    if(prefs.browsercommand) free(prefs.browsercommand);
    prefs.browsercommand=malloc(strlen(fl_get_input(generalwindow->BrowserInput))+1);  // +1 fr \0 am Ende
    if(prefs.browsercommand==0) logerror(errorlogwindow,"generalcontrol(): Kein Speicher fr Browser-Kommando!");
    else strcpy(prefs.browsercommand,fl_get_input(generalwindow->BrowserInput));

    if(prefs.autoawaytext) free(prefs.autoawaytext);
    prefs.autoawaytext=malloc(strlen(fl_get_input(generalwindow->AutoAwayText))+1);
    if(prefs.autoawaytext==0) logerror(errorlogwindow,"generalcontrol(): Kein Speicher fr Auto-Abwesend-Grund!");
    else strcpy(prefs.autoawaytext,fl_get_input(generalwindow->AutoAwayText));

    strcpy(prefs.quitmsg,fl_get_input(generalwindow->QuitInput));
    strcpy(prefs.kickmsg,fl_get_input(generalwindow->KickInput));
    strcpy(prefs.nicklistaction,fl_get_input(generalwindow->DoubleClick));

    prefs.notifydelay =atoi(fl_get_input(generalwindow->DelayInput));
    prefs.channelsize =atoi(fl_get_input(generalwindow->ChannelHeight));
    prefs.nicksize    =atoi(fl_get_input(generalwindow->NickHeight));
    prefs.autoawaytime=atoi(fl_get_input(generalwindow->AutoAwayTime));

    prefs.motd=fl_get_button(generalwindow->MOTDCheck);
    prefs.fixedmotd=fl_get_button(generalwindow->FixedCheck);
    prefs.log=fl_get_button(generalwindow->LogCheck);
    prefs.logtimestamp=fl_get_button(generalwindow->TimestampCheck);
    prefs.smalllog=fl_get_button(generalwindow->SmallLogCheck);
    prefs.openquery=fl_get_button(generalwindow->QueryCheck);
    prefs.events=fl_get_button(generalwindow->EventsCheck);
    prefs.hilight=fl_get_button(generalwindow->HilightCheck);
    prefs.decodemorse=fl_get_button(generalwindow->MorseCheck);
    prefs.notify=fl_get_button(generalwindow->NotifyCheck);
    prefs.autonotify=fl_get_button(generalwindow->AutoNotifyCheck);
    prefs.sortnicks=fl_get_button(generalwindow->SortNicks);
    prefs.joinoninvite=fl_get_button(generalwindow->JoinOnInvite);
    prefs.autoaway=fl_get_button(generalwindow->AutoAwayCheck);

    writeprefs(&prefs);

    if(server==0)
    {
      fl_set_object_label(mainform->Nickname,prefs.nick[0]);
    }
    quit=1;
  }

  if(select==general->Cancel) quit=1;

  if(quit==0) return general;
  else
  {
    fl_hide_form(general->General);
    firstopengeneral=1;
    return 0;
  }
}

#include "Include/ControlButtons.c"

int closewindow(FL_FORM *form,void *data)
{
  if(form==mainform->MainWindow)
  {
/*    printf("*** Hauptfenster geschlossen. FoxIRC wird beendet ...\n"); */
    exitprog=1;
    saveformgeo(form,&prefs.geomain);
  }
  else if(form==errorlogwindow->ErrorLog)
  {
    fl_hide_form(errorlogwindow->ErrorLog);
    saveformgeo(form,&prefs.geoerror);
  }

  return FL_IGNORE;
}

int main(int argc, char *argv[])
{
  FL_OBJECT *selection;
  FL_EditKeymap keymap;
  FD_MainWindow *window;
  FD_UpdateInfo *updatewindow;

  int colx,count,item,handle,autojoin;
  char greeting[LINELEN],outstring[LINELEN],path[1024],*about,*browserdefault,*scriptport;
  struct passwd *user;
  struct channel *lookchannel;

  strcpy(path,argv[0]);                                  // Pfadermittlung
  count=strlen(path);
  while(path[count]!='/' && count!=0) count--;
  if(count==0) path[0]=0;
  else
  {
    path[count+1]=0;                                     // und Wechsel
    chdir(path);
  }

  strcpy(prefs.prefspath,PREFNAME);

  handle=open(prefs.prefspath,0);                       // eigene FoxIRC.prefs im Verzeichnis?
  if(handle!=-1) close(handle);                         // Wenn ja, dann nichts weiter ndern
  else
  {
    user=getpwuid(geteuid());                           // Sonst ~/.foxirc benutzen
    if(user==0)
    {
      logerror(errorlogwindow,"main(): Could not get user identity!");
    }
    else
    {
      strcpy(prefs.prefspath,user->pw_dir);
//    printf("pw_dir: %s\n",user->pw_dir);
      if(prefs.prefspath[strlen(prefs.prefspath)-1]!='/') strcat(prefs.prefspath,"/");
      strcat(prefs.prefspath,".foxirc/");

      handle=open(prefs.prefspath,0);

      if(handle==-1) mkdir(prefs.prefspath,0700);
      else close(handle);

      chdir(prefs.prefspath);

      strcat(prefs.prefspath,PREFNAMERC);
    }
  }

  strcpy(prefs.notifystring,"");                            // Standard-Notify
  strcpy(prefs.nick[0],"FoxIRC");                           // Standardnicks
  strcpy(prefs.nick[1],"FoxyIRC");                          // Standardnicks
  strcpy(prefs.nick[2],"FuxIRC");                           // Standardnicks
  strcpy(prefs.nick[3],"FuchsIRC");                         // Standardnicks
  strcpy(prefs.ident,"dummy");                              // /WHOIS-Identittsdummy
  strcpy(prefs.realname,"Arno Nym");                        // Realname-Dummy
  strcpy(prefs.nicklistaction,"/QUERY %u%n");               // Default-Doppelklickaktion in der Nickliste
  sprintf(prefs.quitmsg,"%s has no reason.",prefs.nick[0]); // Default-Quitnachricht.
  strcpy(prefs.kickmsg,"Get lost!");                        // Default-Kicknachricht.

  browserdefault="netscape -remote 'openUrl(%s)' &";        // Voreingestelltes Browser-Kommando
  prefs.initmode=INITMODE_INVISIBLE;                        // Standardmig unsichtbar einstellen
  prefs.serverpings=0;                                      // Standardmig keine Server-Pings anzeigen
  prefs.nicknum=0;                                          // anfangs Nick Nummer 0 verwenden
  prefs.notifydelay=20;                                     // 20 Sekunden Notify-Delay
  prefs.channelsize=10;                                     // Standardfontgre
  prefs.nicksize=10;                                        // Standardfontgre
  prefs.motd=1;                                             // MOTD standardmig anzeigen ...
  prefs.fixedmotd=0;                                        // ... in Proportionalschrift
  prefs.log=1;                                              // Logfile standardmig einschalten
  prefs.logtimestamp=1;                                     // Uhrzeit standardmig mitloggen
  prefs.smalllog=0;                                         // Standardmig keine Kleinschrift
  prefs.smartcatch=1;                                       // URLs standardmig subern
  prefs.openquery=1;                                        // Query-Fenster standardmig einschalten
  prefs.sortnicks=1;                                        // Nickliste standardmig sortieren
  prefs.notify=1;                                           // Notify standardmig einschalten
  prefs.autonotify=0;                                       // Autonotify-Fenster standardmig ausschalten
  prefs.autoaway=0;                                         // Autoaway standardmig ausschalten
  prefs.autoawaytime=20*60;                                 // Autoaway-Zeit standardmig auf 20 Minuten
  prefs.isaway=0;                                           // Standardmig nicht abwesend sein
  prefs.events=1;                                           // Ereignisse standardmig einschalten
  prefs.hilight=1;                                          // Hilight standardmig einschalten
  prefs.joinoninvite=0;                                     // Kein Autojoion bei Invite per Default
  prefs.chosenservernum=1;                                  // Normalerweise ersten Eintrag whlen
  prefs.sketchpad=1;                                        // Zircon-Sketchpad standardmig einschalten
  prefs.decodemorse=0;                                      // Morsecodes automatisch dekodieren
  prefs.querybell=0;                                        // Standardmig keine Querybell
  prefs.queryalwaysbell=1;                                  // Standardmig immer Querybell
  prefs.channelbell=0;
  prefs.cookiefile="FoxIRC.cookies";                        // Voreinstellung fr die Cookie-Datei

  prefs.aliaslist=newlist();
  if(prefs.aliaslist==0) printf("main(): prefs.aliaslist==0!\n");

  prefs.ignorelist=newlist();
  if(prefs.ignorelist==0) printf("main(): prefs.ignorelist==0!\n");

  prefs.browsercommand=calloc(1,strlen(browserdefault)+1);
  if(prefs.browsercommand) strcpy(prefs.browsercommand,browserdefault);

  for(count=0;count<8;count++)                              // Standardbuttons laden
  {
    strcpy(prefs.button[count],prebut[count]);
    strcpy(prefs.butnam[count],prenam[count]);
  } // endfor

  getprecols();     /* Standardfarben laden */

  memset(&keymap,0,sizeof(keymap));  // Speicher mit 0 fllen
  keymap.del_prev_char=8;
  keymap.del_next_char=127;
  keymap.del_prev_word=8 | FL_ALT_MASK;
  keymap.del_next_word=127 | FL_ALT_MASK;

  about="FoxIRC\n"
        "Der freundliche Linux IRC-Client\n\n"
        "(C)1999-2001 by Dario Abatianni\n"
        "eisfuchs@tigress.com\n\n"
        "Dem #pantherchat gewidmet\n"
        "Mit Dank an Oliver Wagner fr AmIRC\n\n"
        "FoxIRC - because it has no reason!\n\n"
        "Yerf!";

  eventlist=0;

  readprefs(&prefs);

  if(prefs.dccpath==0)
  {
    prefs.dccpath=malloc(1);
    if(prefs.dccpath==0) logerror(errorlogwindow,"main(): Kein Speicher fr DCC-Pfad[2]!");
    else strcpy(prefs.dccpath,"");                            // Voreinstellung fr den DCC-Pfad
  }

  fl_set_border_width(2);
  fl_set_scrollbar_type(FL_PLAIN_SCROLLBAR);
  fl_set_tabstop("XXXXXXXXX:");
  fl_set_input_editkeymap(&keymap);

  fl_initialize(&argc,argv,"FoxIRC",0,0);

  fl_add_signal_callback(SIGPIPE,&boom,&prefs);  /* Abgebrochene DCCs machen das wohl ab und an */
  fl_add_signal_callback(SIGSEGV,&boom,&prefs);  /* Allgemeine Segmentation Faults */
  fl_add_signal_callback(SIGINT ,&boom,&prefs);  /* CTRL-C Interruption */

  if(prefs.currentversion==0)
  {
    updatewindow=create_form_UpdateInfo();
    updatewindow->UpdateInfo->u_ldata=WINDOW_UPDATE;

    fl_set_object_label(updatewindow->Caption,"Es wurde eine neue Version des FoxIRC entdeckt.\n"
                                              "Bitte lies dir die Neuerungen durch, bevor du weitermachst.");

    fl_add_browser_line(updatewindow->Features,"Neueste nderungen (0.43alpha):");
    fl_add_browser_line(updatewindow->Features,"- Alias-Verwaltung fertig");
    fl_add_browser_line(updatewindow->Features,"- Diverse Korrekturen in Queries");
    fl_add_browser_line(updatewindow->Features,"- Makefile berarbeitet");
    fl_add_browser_line(updatewindow->Features,"- Auto-Away implementiert");
    fl_add_browser_line(updatewindow->Features,"- Nummerneingabe im Farbeingabefenster funktioniert jetzt");
    fl_add_browser_line(updatewindow->Features,"- Knopfeinstellungsfenster berarbeitet");
    fl_add_browser_line(updatewindow->Features,"- Aktionseinstellungsfenster berarbeitet");

    fl_add_browser_line(updatewindow->Features,"nderungen (0.42alpha):");
    fl_add_browser_line(updatewindow->Features,"- Skript-Ports eingebaut");
    fl_add_browser_line(updatewindow->Features,"- Alias-Verwaltung experimentell begonnen");
    fl_add_browser_line(updatewindow->Features,"- Rewrite des URL-Fngers, jetzt auch mehrfache URLs mglich");
    fl_add_browser_line(updatewindow->Features,"- /BAN und /UNBAN eingebaut");
    fl_add_browser_line(updatewindow->Features,"- Ban/Unban benutzen jetzt Hostmasks als Ban, wenn diese bekannt ist");
    fl_add_browser_line(updatewindow->Features,"- mIRC-Farbcodes werden jetzt im Klartext angezeigt");
    fl_add_browser_line(updatewindow->Features,"- Textstile werden mit ** // __ usw. umschrieben");
    fl_add_browser_line(updatewindow->Features,"- Query-Ausgabe verbessert");
    fl_add_browser_line(updatewindow->Features,"- Farbe fr /ME-Actions hinzugefgt");

    fl_add_browser_line(updatewindow->Features,"nderungen (0.41alpha):");
    fl_add_browser_line(updatewindow->Features,"- Morse-Dekoder schreibt dekodierte Nachrichten nun auch in Queries");
    fl_add_browser_line(updatewindow->Features,"- Nickchange-Event eingebaut");
    fl_add_browser_line(updatewindow->Features,"- Serverliste funktioniert nun wie man es erwartet");
    fl_add_browser_line(updatewindow->Features,"- /KICK Befehl funktioniert nun richtig");
    fl_add_browser_line(updatewindow->Features,"- Bannliste zeigt jetzt auch die Ausnahmen an.");

    fl_add_browser_line(updatewindow->Features,"@-");
    fl_add_browser_line(updatewindow->Features,"Dieses Fenster wird beim nchsten Start nicht wieder angezeigt.");

    fl_show_form(updatewindow->UpdateInfo,FL_PLACE_MOUSE,FL_TRANSIENT,"FoxIRC Update-Info");
    do
    {
      selection=fl_do_forms();
    } while(selection!=updatewindow->Continue);

    fl_hide_form(updatewindow->UpdateInfo);
  }
  writeprefs(&prefs);

  mainform=create_form_MainWindow();
//  if(mainform==0) printf("main(): mainform==0!\n");

  {
    unsigned int w,h,hx,hy;              /* Taskbar-Icon */

    w=16;
    h=16;
    hx=0;
    hy=0;

    maskid=fl_create_from_pixmapdata(fl_default_window(),FoxIRC_small_mask_xpm,&w,&h,0,&hx,&hy,0);
    iconid=fl_create_from_pixmapdata(fl_default_window(),FoxIRC_small_xpm,&w,&h,&maskid,&hx,&hy,0);
  }
  fl_set_form_icon(mainform->MainWindow,iconid,maskid);

  fl_set_atclose(closewindow,0);

  setwindowdefaults(mainform);

  mainform->MainWindow->u_ldata=WINDOW_MAIN;

  fl_set_timer(mainform->NotifyTimer,(double) 0.5);        /* Erste Notify mglichst frh */

  if(prefs.geomain.w)
  {
    setformgeo(mainform->MainWindow,&prefs.geomain);
//    printf("%d %d %d %d\n",mainform->MainWindow->x,mainform->MainWindow->y,mainform->MainWindow->w,mainform->MainWindow->h);
  }

  fl_register_raw_callback(mainform->MainWindow,FL_ALL_EVENT,&geometryevent);

  for(colx=0;colx<COL_MAX+1;colx++) fl_mapcolor(COL_BG+colx,prefs.color[colx][0],
                                                            prefs.color[colx][1],
                                                            prefs.color[colx][2]);

  fl_show_form(mainform->MainWindow,FL_PLACE_POSITION,FL_FULLBORDER,version);

  soundpid=0;
  activechannel=0;
  aboutwindow=0;
  eventprefswindow=0;
  notifywindow=0;
  colorwindow=0;
  buttonswindow=0;
  generalwindow=0;
  serverwindow=0;
  ignorewindow=0;
  actionwindow=0;
  firstopengeneral=1;
  firstopenserver=1;
  firstopenaction=1;
  firstopenalias=1;
  isonwindow=0;
  urlwindow=0;
  nickwasopen=0;
  nickchangewindow=0;
  dccgetwindow=0;
  exitprog=0;
  urllist=0;
  dccid=0;
  recipientwindow=0;
  dccrequester.active=0;
  dns[0]=0;
  autojoin=0;

  errorlogwindow=initerrorlog();

  tz.tz_minuteswest=0;      // Timezone egal fr Lag-Berechnung
  tz.tz_dsttime=0;

  maxhistory=MAXLINEHIST;
  maxnickhist=MAXNICKHIST;

  inpointer=0;
  doconnect=0;

  dcclist=0;
  for(count=0;count<MAXDCC;count++) dccgetconn[count]=0;

  openscriptport(&prefs);
  intro();

  while(exitprog==0)
  {
    waitpid(-1,0,WNOHANG);    // Wenn ein Child-Proze stirbt, soll er kein Zombie bleiben!

    if(doconnect==1)
    {
      server=calloc(sizeof(struct server),1);

      if(server!=0)
      {
        server->isonreply=1;                        // Den ersten ISON absenden
        strcpy(server->currentnick,prefs.nick[0]);

        for(server->histline=0;server->histline<maxhistory;server->histline++) server->history[server->histline][0]=0;
        server->histline=maxhistory-1;

        for(server->nickhistline=0;server->nickhistline<maxnickhist;server->nickhistline++) server->nickhist[server->nickhistline][0]=0;
        server->nickhistline=maxnickhist-1;

        chosenserver=getservernodebynum(&prefs,prefs.chosenservernum);
        sprintf(outstring,"\\C%dInfo\tVerbinde mit Server %s, Port %d ...",COL_PRG,chosenserver->name,chosenserver->port);
        info(outstring,0);
        XFlush(fl_get_display());

        doconnect=0;

        if((server->sock=openconnection(chosenserver->name,chosenserver->port))!=0)
        {
          strcpy(server->name,chosenserver->name);
          fcntl(server->sock,F_SETFL,O_NONBLOCK);    // Mit O_NONBLOCK kann ich testen, ob Daten warten.

          sprintf(outstring,"\\C%dInfo\tVerbunden. Logge ein ...",COL_PRG);
          info(outstring,0);
          sprintf(greeting,"PASS password\nUSER %s %u * :%s\nNICK %s\n",prefs.ident,prefs.initmode,prefs.realname,server->currentnick);
          if(strlen(chosenserver->channel)!=0) autojoin=1;

          write(server->sock,greeting,strlen(greeting));
          server->inhandle=fdopen(server->sock,"r"); 
          resetautoawaytimer(&prefs);

          if(server->inhandle!=0) server->connected=1;
          else logerror(errorlogwindow,"main(): fdopen() failed!");
        }
      }
      else logerror(errorlogwindow,"main(): calloc() failed!");
    }

    /* Hier mu ich nochmal ran. Klappt nicht, wenn der Server erst ein PING will */
    if(autojoin==1 && server->cleartojoin==1)
    {
      if(chosenserver->password && strlen(chosenserver->password))
      {
        sprintf(outstring,"JOIN %s %s\n",chosenserver->channel,chosenserver->password);
      }
      else sprintf(outstring,"JOIN %s\n",chosenserver->channel);
      transmitraw(server->sock,outstring);
      autojoin=0;
    }

    selection=fl_check_forms();
    if(selection!=0 && selection!=mainform->NotifyTimer)
    {
      resetautoawaytimer(&prefs);
      if(prefs.isaway)
      {
        transmitraw(server->sock,"AWAY");
        prefs.isaway=0;
      }
    }

    if(selection==mainform->AutoAwayTimer && prefs.autoaway)  // hier ist die mainform richtig
    {
      sprintf(outstring,"AWAY :%s",(prefs.autoawaytext) ? prefs.autoawaytext : "Auto-Away");
      transmitraw(server->sock,outstring);
      fl_set_timer(mainform->AutoAwayTimer,0.0);
      prefs.isaway=1;
    }

    if(selection==mainform->NotifyTimer)  // hier ist die mainform richtig
    {
      double newtimer;

      newtimer=0.5;                           // Alle halbe Sekunde, falls nichts anderes gesagt wird

      if(prefs.notify==1 && server!=0 && strlen(prefs.notifystring)!=0)
      {
        if(server->connected && server->cleartojoin) // Mit ISON bis nach der 001-Welcome warten
        {
          if(server->isonreply==1)
          {
            sprintf(outstring,"ISON %s",prefs.notifystring);
            transmitraw(server->sock,outstring);

            gettimeofday(&server->isontime,&tz);

            newtimer=prefs.notifydelay;        // Ab jetzt immer die eingestellte Zeit
            server->isonreply=0;
          }
          else           // Lag-Update fr Zeitberschreitung
          {
            struct timeval isontime;
            unsigned long lag;

            lag=server->isontime.tv_sec*1000000+server->isontime.tv_usec;
            gettimeofday(&isontime,&tz);
//    printf("Time %u\n",server->isontime.tv_sec);
            lag=isontime.tv_sec*1000000+isontime.tv_usec-lag;
            sprintf(outstring,"Lag: %3.2f+",lag/1000000.0);
            updatelag(outstring);
          }
        }
      }
      fl_set_timer(mainform->NotifyTimer,newtimer);
    }
    else if(selection!=0) activechannel=getchannelbywindow(server,selection->form->fdui);

    if(activechannel==0) window=mainform; else window=activechannel->window;

    if(selection==window->Nickname)
    {
      if(server==0)
      {
        sprintf(outstring,"\\C%dFehler\tNickwechsel nicht mglich. Es besteht noch keine Verbindung zum Server.",COL_PRG);
        info(outstring,0);
      }
      else
      {
        if(nickchangewindow==0) nickchangewindow=opennickchange(mainform,prefs.nick[0]);
      }
    }

    if(server!=0)
    {
      if(server->connected==1)
      {
        incoming(server);

        if(server->querylist!=0) handlequeries(server,selection);
      }
      else
      {
        if(server->inhandle!=0) fclose(server->inhandle);         // evtl. vorherige Verbindung entfernen
        if(server->sock!=0) shutdown(server->sock,SHUT_RDWR);
        free(server);
        server=0;
      }
    }

    if(selection==window->TopicLine)
    {
      if(activechannel==0)
      {
        sprintf(outstring,"\\C%dFehler\tEs ist kein Chatkanal aktiv.",COL_PRG);
        info(outstring,0);
      }
      else
      {
        sprintf(outstring,"TOPIC %s :%s",activechannel->name,fl_get_input(window->TopicLine));
        transmitraw(server->sock,outstring);
      }
    }

    if(selection==window->Nicklimit_Input)
    {
      if(activechannel==0)
      {
        sprintf(outstring,"\\C%dFehler\tEs ist kein Chatkanal aktiv.",COL_PRG);
        info(outstring,0);
      }
      else
      {
        if(activechannel->isop==0)
        {
          sprintf(outstring,"\\C%dInfo\tDas darf nur ein Kanal-Operator.",COL_PRG);
          info(outstring,activechannel);
        }
        else
        {
          sprintf(outstring,"MODE %s +l %s",activechannel->name,fl_get_input(window->Nicklimit_Input));
          transmitraw(server->sock,outstring);
        }
      }
    }

    if(selection==window->T ||
       selection==window->N ||
       selection==window->S ||
       selection==window->I ||
       selection==window->P ||
       selection==window->M ||
       selection==window->L)
    {
      if(activechannel==0)
      {
        sprintf(outstring,"\\C%dFehler\tModuswechsel nicht mglich. Es ist kein Chatkanal aktiv.",COL_PRG);
        info(outstring,0);
        fl_set_button(selection,0);
      }
      else
      {
        if(activechannel->isop==0)
        {
          fl_set_button(selection,1-fl_get_button(selection));
          sprintf(outstring,"\\C%dInfo\tDas darf nur ein Kanal-Operator.",COL_PRG);
          info(outstring,activechannel);
        }
        else
        {
          if(selection==window->L)
            sprintf(outstring,"MODE %s %cl %s",activechannel->name,
                   (fl_get_button(selection)==1) ? '+' : '-',
                   (fl_get_button(selection)==1) ? fl_get_input(window->Nicklimit_Input) : "");
          else
            sprintf(outstring,"MODE %s %c%c",activechannel->name,
                   (fl_get_button(selection)==1) ? '+' : '-',
                   selection->label[0]+32);                          // Uuuh ... bad hack ;))

          fl_set_button(selection,1-fl_get_button(selection));  // Das Setzen der Buttons bernimmt eine andere Routine
          transmitraw(server->sock,outstring);
        }
      }
    }

    if(notifywindow!=0)      notifywindow=notifycontrol(notifywindow,selection);
    if(hilightwindow!=0)     hilightwindow=hilightcontrol(hilightwindow,selection);
    if(isonwindow!=0)        isonwindow=isoncontrol(isonwindow,selection);
    if(urlwindow!=0)         urlwindow=urlcontrol(urlwindow,selection);
    if(colorwindow!=0)       colorwindow=colorcontrol(colorwindow,selection);
    if(buttonswindow!=0)     buttonswindow=butprefscontrol(buttonswindow,selection);
    if(generalwindow!=0)     generalwindow=generalcontrol(generalwindow,selection);
    if(serverwindow!=0)      serverwindow=servercontrol(serverwindow,selection);
    if(channellistwindow!=0) channellistwindow=channellistcontrol(channellistwindow,selection);
    if(errorlogwindow!=0)    errorlogwindow=errorlogcontrol(errorlogwindow,selection);
    if(actionwindow!=0)      actionwindow=actioncontrol(actionwindow,selection);
    if(aliaswindow!=0)       aliaswindow=aliascontrol(aliaswindow,selection);
    if(ignorewindow!=0)      ignorewindow=ignorecontrol(ignorewindow,selection);
    if(eventprefswindow!=0)  eventprefswindow=eventprefscontrol(eventprefswindow,selection);
    if(nickchangewindow!=0)  nickchangewindow=nickchangecontrol(nickchangewindow,selection);
    if(aboutwindow!=0)       aboutwindow=aboutcontrol(aboutwindow,selection);

    if(dcclist!=0)           handledcc(selection);
    if(dccgetwindow!=0)      dccgetwindow=dccgetcontrol(dccgetwindow,selection);
    if(dccsendwindow!=0)     dccsendwindow=dccsendcontrol(dccsendwindow,selection);

    if(activechannel==0)
    {
      if(selection==mainform->TopicList || selection==mainform->K)
      {
        if(selection==mainform->K) fl_set_button(selection,0);

        sprintf(outstring,"\\C%dFehler\tEs ist kein Chatkanal aktiv.",COL_PRG);
        info(outstring,0);
      }
    }
    else
    {
      lookchannel=server->channel;
      while(lookchannel)
      {
        if(selection==lookchannel->window->K)
        {
          if(fl_get_button(selection))  /* Neues Passwort fr den Channel setzen */
          {
            if(lookchannel->passwordwin==0) lookchannel->passwordwin=openpassword(lookchannel);
          }
          else                          /* Passwort lschen */
          {
            setchannelpassword(activechannel,0);
          }
        }

        if(selection==lookchannel->window->TopicList)
        {
          if(lookchannel->topiclistwin==0) lookchannel->topiclistwin=opentopiclist(lookchannel);
        }
        lookchannel=lookchannel->next;
      }
    }

    /* Und nochmal, weil activechannel nur fr Klicks ins Fenster gilt
       Na ja, das geht sicher auch eleganter */

    if(server)
    {
      lookchannel=server->channel;
      while(lookchannel)
      {
        if(lookchannel->topiclistwin!=0) lookchannel->topiclistwin=topiclistcontrol(lookchannel,selection);
        if(lookchannel->passwordwin!=0)  lookchannel->passwordwin=passwordcontrol(lookchannel,selection);
        if(lookchannel->banwin!=0)       lookchannel->banwin=banlistcontrol(lookchannel,selection);

        lookchannel=lookchannel->next;
      }
    }

    if(selection!=0 && selection!=mainform->NotifyTimer)
    {
      fl_set_focus_object(window->MainWindow,window->InputLine);
    }

    if(selection==window->ProjectMenu)
    {
      item=fl_get_menu(selection);

      if(item==1 && prefs.serverlist!=0) doconnect=(server==0) ? 1 : 0; // Verbinden
      if(item==2) exitprog=1;                                           // Verlassen
    }

    if(selection==window->PreferencesMenu)
    {
      item=fl_get_menu(selection);

      if(item==1 && generalwindow==0)     // Allgemein
      {
        generalwindow=create_form_General();
        fl_show_form(generalwindow->General,FL_PLACE_FREE,FL_TRANSIENT,"Allgemeine Einstellungen");
      }

      if(item==2 && serverwindow==0)      // Server
      {
        serverwindow=create_form_ServerWindow();

        fl_set_input_return(serverwindow->ServerInput,FL_RETURN_CHANGED);
        fl_set_input_return(serverwindow->ChannelInput,FL_RETURN_CHANGED);
        fl_set_input_return(serverwindow->PortInput,FL_RETURN_CHANGED);
        fl_set_input_return(serverwindow->KeywordInput,FL_RETURN_CHANGED);

        fl_show_form(serverwindow->ServerWindow,FL_PLACE_FREE,FL_TRANSIENT,"Serverliste");
      }

      if(item==3 && colorwindow==0)       // Farben
      {
        getbackcols();  /* Standardfarben in den Puffer laden */

        colorwindow=create_form_ColorWindow();
        fl_set_input_maxchars(colorwindow->RedInput,3);
        fl_set_input_maxchars(colorwindow->GreenInput,3);
        fl_set_input_maxchars(colorwindow->BlueInput,3);
        fl_set_object_color(colorwindow->ColorPad,COL_PREVIEW,COL_PREVIEW);

        fl_mapcolor(COL_PREVIEWBG,prefs.color[0][0],prefs.color[0][1],prefs.color[0][2]);
        fl_set_object_color(colorwindow->SampleText,COL_PREVIEWBG,COL_PREVIEWBG);

        fl_set_object_lcolor(colorwindow->SampleText,COL_PREVIEW);
        fl_show_form(colorwindow->ColorWindow,FL_PLACE_FREE,FL_TRANSIENT,"Farbeinstellungen");
      }

      if(item==4 && notifywindow==0)      // berwachen
      {
        notifywindow=opennotify();
      }

      if(item==5 && ignorewindow==0)      // Ignorieren
      {
        ignorewindow=openignore();
      }

      if(item==6 && buttonswindow==0)     // Knpfe
      {
        buttonswindow=create_form_Buttons();
        fl_show_form(buttonswindow->Buttons,FL_PLACE_FREE,FL_TRANSIENT,"Knopfeinstellungen");
      }

      if(item==7 && eventprefswindow==0)  // Ereignisse
      {
        eventprefswindow=openeventprefs();
      }

      if(item==8 && actionwindow==0)      // Actions
      {
        actionwindow=create_form_ActionWindow();
        fl_show_form(actionwindow->ActionWindow,FL_PLACE_FREE,FL_TRANSIENT,"Aktionen");
      }

      if(item==9 && hilightwindow==0)     // Hervorheben
      {
        hilightwindow=openhilight();
      }

      if(item==10 && aliaswindow==0)      // Aliase
      {
        aliaswindow=create_form_AliasWindow();
        fl_show_form(aliaswindow->AliasWindow,FL_PLACE_FREE,FL_TRANSIENT,"Aliase");
      }
    }

    if(selection==window->WindowsMenu)
    {
      item=fl_get_menu(selection);

      if(item==1 && isonwindow==0)        // Nicks Online
      {
        isonwindow=openison();
      }

      if(item==2 && dccsendwindow==0)     // DCC-Versand
      {
        if(server==0)
        {
          sprintf(outstring,"\\C%dFehler\tDCC-Versand nicht mglich. Es besteht noch keine Verbindung zum Server.",COL_PRG);
          info(outstring,0);
        }
        else dccsendwindow=opendccsend();
      }

      if(item==3)                         // DCC-Empfang
      {
        dccgetwindow=opendccget();
      }

      if(item==4 && urlwindow==0)         // URL-Fnger
      {
        urlwindow=create_form_UrlCatcher();
        if(urlwindow==0) logerror(errorlogwindow,"main(): urlwindow==0!");
        else
        {
          updatecatcher();
          fl_show_form(urlwindow->UrlCatcher,FL_PLACE_FREE,FL_TRANSIENT,"URL-Fnger");
        }
      }

      if(item==5)                         // Kanalliste
      {
        channellistwindow=openchannellist();
      }

      if(item==6)                         // Bannliste
      {
        if(activechannel)
        {
          activechannel->banwin=openbanlist(activechannel);
        }
        else
        {
          sprintf(outstring,"\\C%dFehler\tEs ist kein Chatkanal aktiv.",COL_PRG);
          info(outstring,0);
        }
      }

      if(item==7)                         // Fehlerprotokoll
      {
        openerrorlog(errorlogwindow);
      }

    }

    if(selection==window->ActionsMenu)
    {
      item=fl_get_menu(selection);
      if(item!=0)
      {
        item--;
        parseaction(activechannel,prefs.actionlist[item],0,0);  /* 0,0 = sofort bertragen, keine Parameter */
      }
    }

    if(selection==window->HelpMenu)
    {
      item=fl_get_menu(selection);

      if(item==1)                          /* Hilfe */
      {
      }

      if(item==2 && aboutwindow==0)        /* ber FoxIRC ... */
      {
        aboutwindow=create_form_AboutWindow();
        fl_set_object_label(aboutwindow->AboutText,about);
        setformgeo(aboutwindow->AboutWindow,&prefs.geoabout);
        fl_show_form(aboutwindow->AboutWindow,FL_PLACE_POSITION,FL_TRANSIENT,"ber FoxIRC");
      }
    }

    controlbuttons(activechannel,selection);  /* Routine mit Workaround, bis das Interface fertig ist */
    doscripts(server,&prefs);
  } // endwhile

  closescriptport(&prefs);
  fl_hide_form(mainform->MainWindow);

  freeprefs(&prefs);
  freelist(prefs.ignorelist);
  freelist(prefs.aliaslist);

  freeevents();
  freeurls();

  fl_remove_signal_callback(SIGPIPE);
  fl_remove_signal_callback(SIGSEGV);
  fl_remove_signal_callback(SIGINT);

/*  printf("*** FoxIRC wurde ordnungsgem beendet.\n"); */
  return 0;
}
