/* Lists.h
   Verwaltung doppelt verlinkter Listen
  
   (C) Dario Abatianni (eisfuchs@tigress.com) */

#ifndef LISTS_H
#define LISTS_H

struct list
{
  struct node *head;
  struct node *tail;
};

struct node
{
  struct list *list;
  struct node *next;
  struct node *prev;

  void *data;
};

struct list *newlist();
struct node *allocnode(unsigned long datalength);
struct node *addnewnodetolist(struct list *list,unsigned long datalength);
struct node *unlinknode(struct node *node);
struct node *freenode(struct node *node);
struct node *getnodebynumber(struct list *list,unsigned long count);
struct node *getnodebydata(struct list *list,void *data,unsigned long len);
void dumpnode(struct node *node);
void dumplist(struct list *list);
void freelist(struct list *list);

#endif /* LISTS_H */
